/*
  Copyright (C) 2010 DJ Delorie <dj@redhat.com>

  This file is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2, or (at your option) any later
  version.
  
  This file is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
  for more details.
  
  You should have received a copy of the GNU General Public License
  along with this file; see the file COPYING3.  If not see
  <http://www.gnu.org/licenses/>.
*/

#include <stdio.h>

int
main (int argc, char **argv)
{
  FILE *in = fopen (argv[1], "rb");
  FILE *out = fopen (argv[2], "w");
  char *sym = argv[3];
  int ch;
  int col = 0;

  fprintf (out, "\t.section\".rodata\",\"a\"\n");
  fprintf (out, "\t.global _%s\n_%s:\n", sym, sym);

  while ((ch = fgetc (in)) != EOF)
    {
      switch (col % 8)
	{
	case 0:
	  fprintf(out, "\t.byte\t0x%02x", ch & 0xff);
	  break;
	default:
	  fprintf(out, ",0x%02x", ch & 0xff);
	  break;
	case 7:
	  fprintf(out, ",0x%02x\n", ch & 0xff);
	  break;
	}
      col ++;
    }
  fprintf (out, "\n");
  fprintf (out, "\t.global _%s_end\n_%s_end:\n", sym, sym);
  fclose (out);
  fclose (in);

  return 0;
}
