/*
  Copyright (C) 2010 DJ Delorie <dj@redhat.com>

  This file is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2, or (at your option) any later
  version.
  
  This file is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
  for more details.
  
  You should have received a copy of the GNU General Public License
  along with this file; see the file COPYING3.  If not see
  <http://www.gnu.org/licenses/>.
*/

	.text

_default_isr:
	reit

	.section ".rodata","a"

	.macro	vec f
	.weak	\f
\f = _default_isr
	.long	\f
	.endm

#define V(f) vec _##f##_handler

#define VR .long 0 		; reserved

#define VS(n) vec _swint##n##_handler


	.global	_ivects
_ivects:
	;; 0 - 7
	V (brk)
	V (flash_ready)
	VR
	VR
	VR
	VR
	VR
	V (timer_rc)

	;; 8 - 15
	VR
	VR
	V (timer_re)
	V (s2tx)
	V (s2rx)
	V (key)
	V (adc)
	V (iic)

	;; 16 - 23
	VR
	V (s0tx)
	V (s0rx)
	V (s1tx)
	V (s1rx)
	VR
	V (timer_ra)
	VR

	;; 24 - 31
	V (timer_rb)
	V (int1)
	V (int3)
	VR
	VR
	V (int0)
	VR
	VR

	;; 32 - 39
	VS (32)
	VS (33)
	VS (34)
	VS (35)
	VS (36)
	VS (37)
	VS (38)
	VS (39)

	;; 40 - 47
	VS (40)
	VS (41)
	VR
	VR
	VR
	VR
	VR
	VR

	;; 48 - 55
	VR
	VR
	V (voltage_monitor_1)
	V (voltage_monitor_2)
	VR
	VR
	VR
	VR

	;; 56 - 63
	VS (56)
	VS (57)
	VS (58)
	VS (59)
	VS (60)
	VS (61)
	VS (62)
	VS (63)
