/*******************************************************************************
*
* Device       : R8C/33C Group
*
* File Name    : SFR_R833c.h
*
* Abstract     : definition of R8C/33C Group SFR
*
* History      : 1.10  ( 2010-02-26 ) [Hardware Manual Revision : 1.00]
*                       correct comment : dtcct0`23
*                1.00  ( 2009-11-20 ) [Hardware Manual Revision : 0.10]
*
*  Copyright(c) 2010 Renesas Technology Corp.,All Rights Reserved.
*
*******************************************************************************/

/********************************************************
*  declare SFR addresses                                *
********************************************************/

#pragma	ADDRESS		pm0_addr		0x0004		/* Processor mode register 0 */

#pragma	ADDRESS		pm1_addr		0x0005		/* Processor mode register 1 */

#pragma	ADDRESS		cm0_addr		0x0006		/* System clock control register 0 */

#pragma	ADDRESS		cm1_addr		0x0007		/* System clock control register 1 */

#pragma	ADDRESS		mstcr_addr		0x0008		/* Module Standby Control Register */

#pragma	ADDRESS		cm3_addr		0x0009		/* System clock control register 3 */

#pragma	ADDRESS		prcr_addr		0x000A		/* Protect register */

#pragma	ADDRESS		rstfr_addr		0x000B		/* Reset source determination register */

#pragma	ADDRESS		ocd_addr		0x000C		/* Oscillation Stop Detection Register */

#pragma	ADDRESS		wdtr_addr		0x000D		/* Watchdog timer reset register */

#pragma	ADDRESS		wdts_addr		0x000E		/* Watchdog timer start register */

#pragma	ADDRESS		wdtc_addr		0x000F		/* Watchdog timer control register */

#pragma	ADDRESS		fra7_addr		0x0015		/* High-speed on-chip oscillator control register 7 */

#pragma	ADDRESS		cspr_addr		0x001C		/* Count Source Protection Mode Register */

#pragma	ADDRESS		fra0_addr		0x0023		/* High-speed on-chip oscillator control register 0 */

#pragma	ADDRESS		fra1_addr		0x0024		/* High-speed on-chip oscillator control register 1 */

#pragma	ADDRESS		fra2_addr		0x0025		/* High-speed on-chip oscillator control register 2 */

#pragma	ADDRESS		ocvrefcr_addr	0x0026		/* On-chip reference voltage control register */

#pragma	ADDRESS		cpsrf_addr		0x0028		/* Clock prescaler reset flag */

#pragma	ADDRESS		fra4_addr		0x0029		/* High-speed on-chip oscillator control register 4 */

#pragma	ADDRESS		fra5_addr		0x002A		/* High-speed on-chip oscillator control register 5 */

#pragma	ADDRESS		fra6_addr		0x002B		/* High-speed on-chip oscillator control register 6 */

#pragma	ADDRESS		fra3_addr		0x002F		/* High-speed on-chip oscillator control register 3 */

#pragma	ADDRESS		cmpa_addr		0x0030		/* Voltage monitor circuit control register */

#pragma	ADDRESS		vcac_addr		0x0031		/* Voltage monitor circuit edge select register */

#pragma	ADDRESS		vca1_addr		0x0033		/* Voltage Detect Register 1 */

#pragma	ADDRESS		vca2_addr		0x0034		/* Voltage Detect Register 2 */

#pragma	ADDRESS		vd1ls_addr		0x0036		/* Voltage detection 1 level select register */

#pragma	ADDRESS		vw0c_addr		0x0038		/* Voltage monitor 0 circuit control register */

#pragma	ADDRESS		vw1c_addr		0x0039		/* Voltage monitor 1 circuit control register */

#pragma	ADDRESS		vw2c_addr		0x003A		/* Voltage monitor 2 circuit control register */

#pragma	ADDRESS		fmrdyic_addr	0x0041		/* Flash Memory Ready Interrupt Control Register */

#pragma	ADDRESS		trcic_addr		0x0047		/* Timer RC interrupt control register */

#pragma	ADDRESS		treic_addr		0x004A		/* Timer RE interrupt control register */

#pragma	ADDRESS		s2tic_addr		0x004B		/* UART2 transmit interrupt control register */

#pragma	ADDRESS		s2ric_addr		0x004C		/* UART2 receive interrupt control register */

#pragma	ADDRESS		kupic_addr		0x004D		/* Key input interrupt control register */

#pragma	ADDRESS		adic_addr		0x004E		/* A/D Conversion Interrupt Control Register */

#pragma	ADDRESS		ssuic_addr		0x004F		/* SSU interrupt control register */

#pragma	ADDRESS		iicic_addr		0x004F		/* IIC bus Interrupt Control Register */

#pragma	ADDRESS		s0tic_addr		0x0051		/* UART0 transmit interrupt control register */

#pragma	ADDRESS		s0ric_addr		0x0052		/* UART0 receive interrupt control register */

#pragma	ADDRESS		s1tic_addr		0x0053		/* UART1 transmit interrupt control register */

#pragma	ADDRESS		s1ric_addr		0x0054		/* UART1 receive interrupt control register */

#pragma	ADDRESS		traic_addr		0x0056		/* Timer RA interrupt control register */

#pragma	ADDRESS		trbic_addr		0x0058		/* Timer RB interrupt control register */

#pragma	ADDRESS		int1ic_addr		0x0059		/* INT1 interrupt control register */

#pragma	ADDRESS		int3ic_addr		0x005A		/* INT3 interrupt control register */

#pragma	ADDRESS		int0ic_addr		0x005D		/* INT0 interrupt control register */

#pragma	ADDRESS		u2bcnic_addr	0x005E		/* UART2 bus collision detection interrupt control register */

#pragma	ADDRESS		vcmp1ic_addr	0x0072		/* Voltage Monitor 1 Interrupt Control Register */

#pragma	ADDRESS		vcmp2ic_addr	0x0073		/* Voltage Monitor 2 Interrupt Control Register */

#pragma	ADDRESS		dtctl_addr		0x0080		/* DTC Activation Control Register */

#pragma	ADDRESS		dtcen0_addr		0x0088		/* DTC Activation Enable Register 0 */

#pragma	ADDRESS		dtcen1_addr		0x0089		/* DTC Activation Enable Register 1 */

#pragma	ADDRESS		dtcen2_addr		0x008A		/* DTC Activation Enable Register 2 */

#pragma	ADDRESS		dtcen3_addr		0x008B		/* DTC Activation Enable Register 3 */

#pragma	ADDRESS		dtcen5_addr		0x008D		/* DTC Activation Enable Register 5 */

#pragma	ADDRESS		dtcen6_addr		0x008E		/* DTC Activation Enable Register 6 */

#pragma	ADDRESS		u0mr_addr		0x00A0		/* UART0 transmit/receive mode register */

#pragma	ADDRESS		u0brg_addr		0x00A1		/* UART0 bit rate register */

#pragma	ADDRESS		u0tb_addr		0x00A2		/* UART0 transmit buffer register */

#pragma	ADDRESS		u0c0_addr		0x00A4		/* UART0 transmit/receive control register 0 */

#pragma	ADDRESS		u0c1_addr		0x00A5		/* UART0 transmit/receive control register 1 */

#pragma	ADDRESS		u0rb_addr		0x00A6		/* UART0 receive buffer register */

#pragma	ADDRESS		u2mr_addr		0x00A8		/* UART2 transmit/receive mode register */

#pragma	ADDRESS		u2brg_addr		0x00A9		/* UART2 bit rate register */

#pragma	ADDRESS		u2tb_addr		0x00AA		/* UART2 transmit buffer register */

#pragma	ADDRESS		u2c0_addr		0x00AC		/* UART2 transmit/receive control register 0 */

#pragma	ADDRESS		u2c1_addr		0x00AD		/* UART2 transmit/receive control register 1 */

#pragma	ADDRESS		u2rb_addr		0x00AE		/* UART2 receive buffer register */

#pragma	ADDRESS		urxdf_addr		0x00B0		/* UART2 Digital Filter Function Select Register */

#pragma	ADDRESS		u2smr5_addr		0x00BB		/* UART2 special mode register 5 */

#pragma	ADDRESS		u2smr4_addr		0x00BC		/* UART2 special mode register 4 */

#pragma	ADDRESS		u2smr3_addr		0x00BD		/* UART2 special mode register 3 */

#pragma	ADDRESS		u2smr2_addr		0x00BE		/* UART2 special mode register 2 */

#pragma	ADDRESS		u2smr_addr		0x00BF		/* UART2 special mode register */

#pragma	ADDRESS		ad0_addr		0x00C0		/* A/D Register 0 */

#pragma	ADDRESS		ad1_addr		0x00C2		/* A/D Register 1 */

#pragma	ADDRESS		ad2_addr		0x00C4		/* A/D Register 2 */

#pragma	ADDRESS		ad3_addr		0x00C6		/* A/D Register 3 */

#pragma	ADDRESS		ad4_addr		0x00C8		/* A/D Register 4 */

#pragma	ADDRESS		ad5_addr		0x00CA		/* A/D Register 5 */

#pragma	ADDRESS		ad6_addr		0x00CC		/* A/D Register 6 */

#pragma	ADDRESS		ad7_addr		0x00CE		/* A/D Register 7 */

#pragma	ADDRESS		admod_addr		0x00D4		/* A/D Mode Register */

#pragma	ADDRESS		adinsel_addr	0x00D5		/* A/D Input Select Register */

#pragma	ADDRESS		adcon0_addr		0x00D6		/* A/D Control Register 0 */

#pragma	ADDRESS		adcon1_addr		0x00D7		/* A/D Control Register 1 */

#pragma	ADDRESS		da0_addr		0x00D8		/* D/A0 Register */

#pragma	ADDRESS		da1_addr		0x00D9		/* D/A1 Register */

#pragma	ADDRESS		dacon_addr		0x00DC		/* D/A Control Register */

#pragma	ADDRESS		p0_addr			0x00E0		/* Port P0 register */

#pragma	ADDRESS		p1_addr			0x00E1		/* Port P1 register */

#pragma	ADDRESS		pd0_addr		0x00E2		/* Port P0 direction register */

#pragma	ADDRESS		pd1_addr		0x00E3		/* Port P1 direction register */

#pragma	ADDRESS		p2_addr			0x00E4		/* Port P2 register */

#pragma	ADDRESS		p3_addr			0x00E5		/* Port P3 register */

#pragma	ADDRESS		pd2_addr		0x00E6		/* Port P2 direction register */

#pragma	ADDRESS		pd3_addr		0x00E7		/* Port P3 direction register */

#pragma	ADDRESS		p4_addr			0x00E8		/* Port P4 register */

#pragma	ADDRESS		pd4_addr		0x00EA		/* Port P4 direction register */

#pragma	ADDRESS		tracr_addr		0x0100		/* Timer RA control register */

#pragma	ADDRESS		traioc_addr		0x0101		/* Timer RA I/O control register */

#pragma	ADDRESS		tramr_addr		0x0102		/* Timer RA mode register */

#pragma	ADDRESS		trapre_addr		0x0103		/* Timer RA Prescaler Register */

#pragma	ADDRESS		tra_addr		0x0104		/* Timer RA Register */

#pragma	ADDRESS		lincr2_addr		0x0105		/* LIN control register 2 */

#pragma	ADDRESS		lincr_addr		0x0106		/* LIN control register */

#pragma	ADDRESS		linst_addr		0x0107		/* LIN status register */

#pragma	ADDRESS		trbcr_addr		0x0108		/* Timer RB control register */

#pragma	ADDRESS		trbocr_addr		0x0109		/* Timer RB one-shot control register */

#pragma	ADDRESS		trbioc_addr		0x010A		/* Timer RB I/O control register */

#pragma	ADDRESS		trbmr_addr		0x010B		/* Timer RB mode register */

#pragma	ADDRESS		trbpre_addr		0x010C		/* Timer RB Prescaler Register */

#pragma	ADDRESS		trbsc_addr		0x010D		/* Timer RB Secondary Register */

#pragma	ADDRESS		trbpr_addr		0x010E		/* Timer RB Primary Register */

#pragma	ADDRESS		tresec_addr		0x0118		/* Timer RE Second Data Register / Counter Data Register */

#pragma	ADDRESS		tremin_addr		0x0119		/* Timer RE Minute Data Register / Compare Data Register */

#pragma	ADDRESS		trehr_addr		0x011A		/* Timer RE Hour Data Register */

#pragma	ADDRESS		trewk_addr		0x011B		/* Timer RE Day of Week Data Register */

#pragma	ADDRESS		trecr1_addr		0x011C		/* Timer RE Control Register 1 */

#pragma	ADDRESS		trecr2_addr		0x011D		/* Timer RE Control Register 2 */

#pragma	ADDRESS		trecsr_addr		0x011E		/* Timer RE count source select register */

#pragma	ADDRESS		trcmr_addr		0x0120		/* Timer RC mode register */

#pragma	ADDRESS		trccr1_addr		0x0121		/* Timer RC control register 1 */

#pragma	ADDRESS		trcier_addr		0x0122		/* Timer RC interrupt enable register */

#pragma	ADDRESS		trcsr_addr		0x0123		/* Timer RC status register */

#pragma	ADDRESS		trcior0_addr	0x0124		/* Timer RC I/O Control Register 0 */

#pragma	ADDRESS		trcior1_addr	0x0125		/* Timer RC I/O Control Register 1 */

#pragma	ADDRESS		trc_addr		0x0126		/* Timer RC Counter */

#pragma	ADDRESS		trcgra_addr		0x0128		/* Timer RC general register A */

#pragma	ADDRESS		trcgrb_addr		0x012A		/* Timer RC general register B */

#pragma	ADDRESS		trcgrc_addr		0x012C		/* Timer RC general register C */

#pragma	ADDRESS		trcgrd_addr		0x012E		/* Timer RC general register D */

#pragma	ADDRESS		trccr2_addr		0x0130		/* Timer RC control register 2 */

#pragma	ADDRESS		trcdf_addr		0x0131		/* Timer RC Digital Filter Function Select Register */

#pragma	ADDRESS		trcoer_addr		0x0132		/* Timer RC output master enable register */

#pragma	ADDRESS		trcadcr_addr	0x0133		/* Timer RC trigger control register */

#pragma	ADDRESS		u1mr_addr		0x0160		/* UART1 transmit/receive mode register */

#pragma	ADDRESS		u1brg_addr		0x0161		/* UART1 bit rate register */

#pragma	ADDRESS		u1tb_addr		0x0162		/* UART1 transmit buffer register */

#pragma	ADDRESS		u1c0_addr		0x0164		/* UART1 transmit/receive control register 0 */

#pragma	ADDRESS		u1c1_addr		0x0165		/* UART1 transmit/receive control register 1 */

#pragma	ADDRESS		u1rb_addr		0x0166		/* UART1 receive buffer register */

#pragma	ADDRESS		trasr_addr		0x0180		/* Timer RA pin select register */

#pragma	ADDRESS		trbrcsr_addr	0x0181		/* Timer RB/RC pin select register */

#pragma	ADDRESS		trcpsr0_addr	0x0182		/* Timer RC pin select register 0 */

#pragma	ADDRESS		trcpsr1_addr	0x0183		/* Timer RC pin select register 1 */

#pragma	ADDRESS		u0sr_addr		0x0188		/* UART0 pin select register */

#pragma	ADDRESS		u1sr_addr		0x0189		/* UART1 pin select register */

#pragma	ADDRESS		u2sr0_addr		0x018A		/* UART2 pin select register 0 */

#pragma	ADDRESS		u2sr1_addr		0x018B		/* UART2 pin select register 1 */

#pragma	ADDRESS		ssuiicsr_addr	0x018C		/* SSU/IIC pin select register */

#pragma	ADDRESS		intsr_addr		0x018E		/* INT Interrupt Input Pin Select Register */

#pragma	ADDRESS		pinsr_addr		0x018F		/* I/O Function Pin Select Register */

#pragma	ADDRESS		ssbr_addr		0x0193		/* SS bit counter register */

#pragma	ADDRESS		sstdr_addr		0x0194		/* SS transmit data register */

#pragma	ADDRESS		icdrt_addr		0x0194		/* IIC bus transmit data register */

#pragma	ADDRESS		ssrdr_addr		0x0196		/* SS receive data register */

#pragma	ADDRESS		icdrr_addr		0x0196		/* IIC bus receive data register */

#pragma	ADDRESS		sscrh_addr		0x0198		/* SS control register H */

#pragma	ADDRESS		iccr1_addr		0x0198		/* IIC bus control register 1 */

#pragma	ADDRESS		sscrl_addr		0x0199		/* SS control register L */

#pragma	ADDRESS		iccr2_addr		0x0199		/* IIC bus control register 2 */

#pragma	ADDRESS		ssmr_addr		0x019A		/* SS mode register */

#pragma	ADDRESS		icmr_addr		0x019A		/* IIC bus mode register */

#pragma	ADDRESS		sser_addr		0x019B		/* SS enable register */

#pragma	ADDRESS		icier_addr		0x019B		/* IIC bus interrupt enable register */

#pragma	ADDRESS		sssr_addr		0x019C		/* SS status register */

#pragma	ADDRESS		icsr_addr		0x019C		/* IIC bus status register */

#pragma	ADDRESS		ssmr2_addr		0x019D		/* SS mode register 2 */

#pragma	ADDRESS		sar_addr		0x019D		/* Slave Address Register */

#pragma	ADDRESS		fst_addr		0x01B2		/* Flash memory status register */

#pragma	ADDRESS		fmr0_addr		0x01B4		/* Flash memory control register 0 */

#pragma	ADDRESS		fmr1_addr		0x01B5		/* Flash memory control register 1 */

#pragma	ADDRESS		fmr2_addr		0x01B6		/* Flash memory control register 2 */

#pragma	ADDRESS		rmad0_addr		0x01C0		/* Address Match Interrupt Register 0 */

#pragma	ADDRESS		aier0_addr		0x01C3		/* Address match interrupt enable register 0 */

#pragma	ADDRESS		rmad1_addr		0x01C4		/* Address Match Interrupt Register 1 */

#pragma	ADDRESS		aier1_addr		0x01C7		/* Address match interrupt enable register 1 */

#pragma	ADDRESS		pur0_addr		0x01E0		/* Pull-up control register 0 */

#pragma	ADDRESS		pur1_addr		0x01E1		/* Pull-up control register 1 */

#pragma	ADDRESS		p1drr_addr		0x01F0		/* Port P1 drive capacity control register */

#pragma	ADDRESS		p2drr_addr		0x01F1		/* Port P2 drive capacity control register */

#pragma	ADDRESS		drr0_addr		0x01F2		/* Drive capacity control register 0 */

#pragma	ADDRESS		drr1_addr		0x01F3		/* Drive capacity control register 1 */

#pragma	ADDRESS		vlt0_addr		0x01F5		/* Input threshold control register 0 */

#pragma	ADDRESS		vlt1_addr		0x01F6		/* Input threshold control register 1 */

#pragma	ADDRESS		intcmp_addr		0x01F8		/* Comparator B Control Register 0 */

#pragma	ADDRESS		inten_addr		0x01FA		/* external input enable register 0 */

#pragma	ADDRESS		intf_addr		0x01FC		/* INT input filter select register 0 */

#pragma	ADDRESS		kien_addr		0x01FE		/* Key input enable register 0 */

#pragma	ADDRESS		dtcvct0_addr	0x2C00		/* DTC Transfer Vector Area 0 (INT0) */

#pragma	ADDRESS		dtcvct1_addr	0x2C01		/* DTC Transfer Vector Area 1 (INT1) */

#pragma	ADDRESS		dtcvct2_addr	0x2C02		/* DTC Transfer Vector Area 2 */

#pragma	ADDRESS		dtcvct3_addr	0x2C03		/* DTC Transfer Vector Area 3 (INT3) */

#pragma	ADDRESS		dtcvct4_addr	0x2C04		/* DTC Transfer Vector Area 4 */

#pragma	ADDRESS		dtcvct5_addr	0x2C05		/* DTC Transfer Vector Area 5 */

#pragma	ADDRESS		dtcvct6_addr	0x2C06		/* DTC Transfer Vector Area 6 */

#pragma	ADDRESS		dtcvct7_addr	0x2C07		/* DTC Transfer Vector Area 7 */

#pragma	ADDRESS		dtcvct8_addr	0x2C08		/* DTC Transfer Vector Area 8 (Key Input) */

#pragma	ADDRESS		dtcvct9_addr	0x2C09		/* DTC Transfer Vector Area 9 (A-D) */

#pragma	ADDRESS		dtcvct10_addr	0x2C0A		/* DTC Transfer Vector Area 10 (Uart0 Receive) */

#pragma	ADDRESS		dtcvct11_addr	0x2C0B		/* DTC Transfer Vector Area 11 (Uart0 Transfer) */

#pragma	ADDRESS		dtcvct12_addr	0x2C0C		/* DTC Transfer Vector Area 12 (Uart1 Receive) */

#pragma	ADDRESS		dtcvct13_addr	0x2C0D		/* DTC Transfer Vector Area 13 (Uart1 Transfer) */

#pragma	ADDRESS		dtcvct14_addr	0x2C0E		/* DTC Transfer Vector Area 14 (Uart2 Receive)*/

#pragma	ADDRESS		dtcvct15_addr	0x2C0F		/* DTC Transfer Vector Area 15 (Uart2 Transfer) */

#pragma	ADDRESS		dtcvct16_addr	0x2C10		/* DTC Transfer Vector Area 16 (SSU/I2C Receive data register full) */

#pragma	ADDRESS		dtcvct17_addr	0x2C11		/* DTC Transfer Vector Area 17 (SSU/I2C Transmit data empty) */

#pragma	ADDRESS		dtcvct18_addr	0x2C12		/* DTC Transfer Vector Area 18 (Voltage monitor circuit 2) */

#pragma	ADDRESS		dtcvct19_addr	0x2C13		/* DTC Transfer Vector Area 19 (Voltage monitor circuit 1) */

#pragma	ADDRESS		dtcvct20_addr	0x2C14		/* DTC Transfer Vector Area 20 */

#pragma	ADDRESS		dtcvct21_addr	0x2C15		/* DTC Transfer Vector Area 21 */

#pragma	ADDRESS		dtcvct22_addr	0x2C16		/* DTC Transfer Vector Area 22 (TRC Input capture / compare match A) */

#pragma	ADDRESS		dtcvct23_addr	0x2C17		/* DTC Transfer Vector Area 23 (TRC Input capture / compare match B) */

#pragma	ADDRESS		dtcvct24_addr	0x2C18		/* DTC Transfer Vector Area 24 (TRC Input capture / compare match C) */

#pragma	ADDRESS		dtcvct25_addr	0x2C19		/* DTC Transfer Vector Area 25 (TRC Input capture / compare match D) */

#pragma	ADDRESS		dtcvct26_addr	0x2C1A		/* DTC Transfer Vector Area 26 */

#pragma	ADDRESS		dtcvct27_addr	0x2C1B		/* DTC Transfer Vector Area 27 */

#pragma	ADDRESS		dtcvct28_addr	0x2C1C		/* DTC Transfer Vector Area 28 */

#pragma	ADDRESS		dtcvct29_addr	0x2C1D		/* DTC Transfer Vector Area 29 */

#pragma	ADDRESS		dtcvct30_addr	0x2C1E		/* DTC Transfer Vector Area 30 */

#pragma	ADDRESS		dtcvct31_addr	0x2C1F		/* DTC Transfer Vector Area 31 */

#pragma	ADDRESS		dtcvct32_addr	0x2C20		/* DTC Transfer Vector Area 32 */

#pragma	ADDRESS		dtcvct33_addr	0x2C21		/* DTC Transfer Vector Area 33 */

#pragma	ADDRESS		dtcvct34_addr	0x2C22		/* DTC Transfer Vector Area 34 */

#pragma	ADDRESS		dtcvct35_addr	0x2C23		/* DTC Transfer Vector Area 35 */

#pragma	ADDRESS		dtcvct36_addr	0x2C24		/* DTC Transfer Vector Area 36 */

#pragma	ADDRESS		dtcvct37_addr	0x2C25		/* DTC Transfer Vector Area 37 */

#pragma	ADDRESS		dtcvct38_addr	0x2C26		/* DTC Transfer Vector Area 38 */

#pragma	ADDRESS		dtcvct39_addr	0x2C27		/* DTC Transfer Vector Area 39 */

#pragma	ADDRESS		dtcvct40_addr	0x2C28		/* DTC Transfer Vector Area 40 */

#pragma	ADDRESS		dtcvct41_addr	0x2C29		/* DTC Transfer Vector Area 41 */

#pragma	ADDRESS		dtcvct42_addr	0x2C2A		/* DTC Transfer Vector Area 42 (TRE) */

#pragma	ADDRESS		dtcvct43_addr	0x2C2B		/* DTC Transfer Vector Area 43 */

#pragma	ADDRESS		dtcvct44_addr	0x2C2C		/* DTC Transfer Vector Area 44 */

#pragma	ADDRESS		dtcvct45_addr	0x2C2D		/* DTC Transfer Vector Area 45 */

#pragma	ADDRESS		dtcvct46_addr	0x2C2E		/* DTC Transfer Vector Area 46 */

#pragma	ADDRESS		dtcvct47_addr	0x2C2F		/* DTC Transfer Vector Area 47 */

#pragma	ADDRESS		dtcvct48_addr	0x2C30		/* DTC Transfer Vector Area 48 */

#pragma	ADDRESS		dtcvct49_addr	0x2C31		/* DTC Transfer Vector Area 49 (TRA) */

#pragma	ADDRESS		dtcvct50_addr	0x2C32		/* DTC Transfer Vector Area 50 */

#pragma	ADDRESS		dtcvct51_addr	0x2C33		/* DTC Transfer Vector Area 51 (TRB) */

#pragma	ADDRESS		dtcvct52_addr	0x2C34		/* DTC Transfer Vector Area 52 (Flash memory ready) */

#pragma	ADDRESS		dtcvct53_addr	0x2C35		/* DTC Transfer Vector Area53 */

#pragma	ADDRESS		dtcvct54_addr	0x2C36		/* DTC Transfer Vector Area54 */

#pragma	ADDRESS		dtcvct55_addr	0x2C37		/* DTC Transfer Vector Area55 */

#pragma	ADDRESS		dtcvct56_addr	0x2C38		/* DTC Transfer Vector Area56 */

#pragma	ADDRESS		dtcvct57_addr	0x2C39		/* DTC Transfer Vector Area57 */

#pragma	ADDRESS		dtcvct58_addr	0x2C3A		/* DTC Transfer Vector Area58 */

#pragma	ADDRESS		dtcvct59_addr	0x2C3B		/* DTC Transfer Vector Area59 */

#pragma	ADDRESS		dtcvct60_addr	0x2C3C		/* DTC Transfer Vector Area60 */

#pragma	ADDRESS		dtcvct61_addr	0x2C3D		/* DTC Transfer Vector Area61 */

#pragma	ADDRESS		dtcvct62_addr	0x2C3E		/* DTC Transfer Vector Area62 */

#pragma	ADDRESS		dtcvct63_addr	0x2C3F		/* DTC Transfer Vector Area63 */

#pragma	ADDRESS		dtccr0_addr		0x2C40		/* DTC Control register 0 */

#pragma	ADDRESS		dtbls0_addr		0x2C41		/* DTC Block size register 0 */

#pragma	ADDRESS		dtcct0_addr		0x2C42		/* DTC Transfer count register 0 */

#pragma	ADDRESS		dtrld0_addr		0x2C43		/* DTC Transfer count reload register 0 */

#pragma	ADDRESS		dtsar0_addr		0x2C44		/* DTC Source address register 0 */

#pragma	ADDRESS		dtdar0_addr		0x2C46		/* DTC Destination register 0 */

#pragma	ADDRESS		dtccr1_addr		0x2C48		/* DTC Control register 1 */

#pragma	ADDRESS		dtbls1_addr		0x2C49		/* DTC Block size register 1 */

#pragma	ADDRESS		dtcct1_addr		0x2C4A		/* DTC Transfer count register 1 */

#pragma	ADDRESS		dtrld1_addr		0x2C4B		/* DTC Transfer count reload register 1 */

#pragma	ADDRESS		dtsar1_addr		0x2C4C		/* DTC Source address register 1 */

#pragma	ADDRESS		dtdar1_addr		0x2C4E		/* DTC Destination register 1 */

#pragma	ADDRESS		dtccr2_addr		0x2C50		/* DTC Control register 2 */

#pragma	ADDRESS		dtbls2_addr		0x2C51		/* DTC Block size register 2 */

#pragma	ADDRESS		dtcct2_addr		0x2C52		/* DTC Transfer count register 2 */

#pragma	ADDRESS		dtrld2_addr		0x2C53		/* DTC Transfer count reload register 2 */

#pragma	ADDRESS		dtsar2_addr		0x2C54		/* DTC Source address register 2 */

#pragma	ADDRESS		dtdar2_addr		0x2C56		/* DTC Destination register 2 */

#pragma	ADDRESS		dtccr3_addr		0x2C58		/* DTC Control register 3 */

#pragma	ADDRESS		dtbls3_addr		0x2C59		/* DTC Block size register 3 */

#pragma	ADDRESS		dtcct3_addr		0x2C5A		/* DTC Transfer count register 3 */

#pragma	ADDRESS		dtrld3_addr		0x2C5B		/* DTC Transfer count reload register 3 */

#pragma	ADDRESS		dtsar3_addr		0x2C5C		/* DTC Source address register 3 */

#pragma	ADDRESS		dtdar3_addr		0x2C5E		/* DTC Destination register 3 */

#pragma	ADDRESS		dtccr4_addr		0x2C60		/* DTC Control register 4 */

#pragma	ADDRESS		dtbls4_addr		0x2C61		/* DTC Block size register 4 */

#pragma	ADDRESS		dtcct4_addr		0x2C62		/* DTC Transfer count register 4 */

#pragma	ADDRESS		dtrld4_addr		0x2C63		/* DTC Transfer count reload register 4 */

#pragma	ADDRESS		dtsar4_addr		0x2C64		/* DTC Source address register 4 */

#pragma	ADDRESS		dtdar4_addr		0x2C66		/* DTC Destination register 4 */

#pragma	ADDRESS		dtccr5_addr		0x2C68		/* DTC Control register 5 */

#pragma	ADDRESS		dtbls5_addr		0x2C69		/* DTC Block size register 5 */

#pragma	ADDRESS		dtcct5_addr		0x2C6A		/* DTC Transfer count register 5 */

#pragma	ADDRESS		dtrld5_addr		0x2C6B		/* DTC Transfer count reload register 5 */

#pragma	ADDRESS		dtsar5_addr		0x2C6C		/* DTC Source address register 5 */

#pragma	ADDRESS		dtdar5_addr		0x2C6E		/* DTC Destination register 5 */

#pragma	ADDRESS		dtccr6_addr		0x2C70		/* DTC Control register 6 */

#pragma	ADDRESS		dtbls6_addr		0x2C71		/* DTC Block size register 6 */

#pragma	ADDRESS		dtcct6_addr		0x2C72		/* DTC Transfer count register 6 */

#pragma	ADDRESS		dtrld6_addr		0x2C73		/* DTC Transfer count reload register 6 */

#pragma	ADDRESS		dtsar6_addr		0x2C74		/* DTC Source address register 6 */

#pragma	ADDRESS		dtdar6_addr		0x2C76		/* DTC Destination register 6 */

#pragma	ADDRESS		dtccr7_addr		0x2C78		/* DTC Control register 7 */

#pragma	ADDRESS		dtbls7_addr		0x2C79		/* DTC Block size register 7 */

#pragma	ADDRESS		dtcct7_addr		0x2C7A		/* DTC Transfer count register 7 */

#pragma	ADDRESS		dtrld7_addr		0x2C7B		/* DTC Transfer count reload register 7 */

#pragma	ADDRESS		dtsar7_addr		0x2C7C		/* DTC Source address register 7 */

#pragma	ADDRESS		dtdar7_addr		0x2C7E		/* DTC Destination register 7 */

#pragma	ADDRESS		dtccr8_addr		0x2C80		/* DTC Control register 8 */

#pragma	ADDRESS		dtbls8_addr		0x2C81		/* DTC Block size register 8 */

#pragma	ADDRESS		dtcct8_addr		0x2C82		/* DTC Transfer count register 8 */

#pragma	ADDRESS		dtrld8_addr		0x2C83		/* DTC Transfer count reload register 8 */

#pragma	ADDRESS		dtsar8_addr		0x2C84		/* DTC Source address register 8 */

#pragma	ADDRESS		dtdar8_addr		0x2C86		/* DTC Destination register 8 */

#pragma	ADDRESS		dtccr9_addr		0x2C88		/* DTC Control register 9 */

#pragma	ADDRESS		dtbls9_addr		0x2C89		/* DTC Block size register 9 */

#pragma	ADDRESS		dtcct9_addr		0x2C8A		/* DTC Transfer count register 9 */

#pragma	ADDRESS		dtrld9_addr		0x2C8B		/* DTC Transfer count reload register 9 */

#pragma	ADDRESS		dtsar9_addr		0x2C8C		/* DTC Source address register 9 */

#pragma	ADDRESS		dtdar9_addr		0x2C8E		/* DTC Destination register 9 */

#pragma	ADDRESS		dtccr10_addr	0x2C90		/* DTC Control register 10 */

#pragma	ADDRESS		dtbls10_addr	0x2C91		/* DTC Block size register 10 */

#pragma	ADDRESS		dtcct10_addr	0x2C92		/* DTC Transfer count register 10 */

#pragma	ADDRESS		dtrld10_addr	0x2C93		/* DTC Transfer count reload register 10 */

#pragma	ADDRESS		dtsar10_addr	0x2C94		/* DTC Source address register 10 */

#pragma	ADDRESS		dtdar10_addr	0x2C96		/* DTC Destination register 10 */

#pragma	ADDRESS		dtccr11_addr	0x2C98		/* DTC Control register 11 */

#pragma	ADDRESS		dtbls11_addr	0x2C99		/* DTC Block size register 11 */

#pragma	ADDRESS		dtcct11_addr	0x2C9A		/* DTC Transfer count register 11 */

#pragma	ADDRESS		dtrld11_addr	0x2C9B		/* DTC Transfer count reload register 11 */

#pragma	ADDRESS		dtsar11_addr	0x2C9C		/* DTC Source address register 11 */

#pragma	ADDRESS		dtdar11_addr	0x2C9E		/* DTC Destination register 11 */

#pragma	ADDRESS		dtccr12_addr	0x2CA0		/* DTC Control register 12 */

#pragma	ADDRESS		dtbls12_addr	0x2CA1		/* DTC Block size register 12 */

#pragma	ADDRESS		dtcct12_addr	0x2CA2		/* DTC Transfer count register 12 */

#pragma	ADDRESS		dtrld12_addr	0x2CA3		/* DTC Transfer count reload register 12 */

#pragma	ADDRESS		dtsar12_addr	0x2CA4		/* DTC Source address register 12 */

#pragma	ADDRESS		dtdar12_addr	0x2CA6		/* DTC Destination register 12 */

#pragma	ADDRESS		dtccr13_addr	0x2CA8		/* DTC Control register 13 */

#pragma	ADDRESS		dtbls13_addr	0x2CA9		/* DTC Block size register 13 */

#pragma	ADDRESS		dtcct13_addr	0x2CAA		/* DTC Transfer count register 13 */

#pragma	ADDRESS		dtrld13_addr	0x2CAB		/* DTC Transfer count reload register 13 */

#pragma	ADDRESS		dtsar13_addr	0x2CAC		/* DTC Source address register 13 */

#pragma	ADDRESS		dtdar13_addr	0x2CAE		/* DTC Destination register 13 */

#pragma	ADDRESS		dtccr14_addr	0x2CB0		/* DTC Control register 14 */

#pragma	ADDRESS		dtbls14_addr	0x2CB1		/* DTC Block size register 14 */

#pragma	ADDRESS		dtcct14_addr	0x2CB2		/* DTC Transfer count register 14 */

#pragma	ADDRESS		dtrld14_addr	0x2CB3		/* DTC Transfer count reload register 14 */

#pragma	ADDRESS		dtsar14_addr	0x2CB4		/* DTC Source address register 14 */

#pragma	ADDRESS		dtdar14_addr	0x2CB6		/* DTC Destination register 14 */

#pragma	ADDRESS		dtccr15_addr	0x2CB8		/* DTC Control register 15 */

#pragma	ADDRESS		dtbls15_addr	0x2CB9		/* DTC Block size register 15 */

#pragma	ADDRESS		dtcct15_addr	0x2CBA		/* DTC Transfer count register 15 */

#pragma	ADDRESS		dtrld15_addr	0x2CBB		/* DTC Transfer count reload register 15 */

#pragma	ADDRESS		dtsar15_addr	0x2CBC		/* DTC Source address register 15 */

#pragma	ADDRESS		dtdar15_addr	0x2CBE		/* DTC Destination register 15 */

#pragma	ADDRESS		dtccr16_addr	0x2CC0		/* DTC Control register 16 */

#pragma	ADDRESS		dtbls16_addr	0x2CC1		/* DTC Block size register 16 */

#pragma	ADDRESS		dtcct16_addr	0x2CC2		/* DTC Transfer count register 16 */

#pragma	ADDRESS		dtrld16_addr	0x2CC3		/* DTC Transfer count reload register 16 */

#pragma	ADDRESS		dtsar16_addr	0x2CC4		/* DTC Source address register 16 */

#pragma	ADDRESS		dtdar16_addr	0x2CC6		/* DTC Destination register 16 */

#pragma	ADDRESS		dtccr17_addr	0x2CC8		/* DTC Control register 17 */

#pragma	ADDRESS		dtbls17_addr	0x2CC9		/* DTC Block size register 17 */

#pragma	ADDRESS		dtcct17_addr	0x2CCA		/* DTC Transfer count register 17 */

#pragma	ADDRESS		dtrld17_addr	0x2CCB		/* DTC Transfer count reload register 17 */

#pragma	ADDRESS		dtsar17_addr	0x2CCC		/* DTC Source address register 17 */

#pragma	ADDRESS		dtdar17_addr	0x2CCE		/* DTC Destination register 17 */

#pragma	ADDRESS		dtccr18_addr	0x2CD0		/* DTC Control register 18 */

#pragma	ADDRESS		dtbls18_addr	0x2CD1		/* DTC Block size register 18 */

#pragma	ADDRESS		dtcct18_addr	0x2CD2		/* DTC Transfer count register 18 */

#pragma	ADDRESS		dtrld18_addr	0x2CD3		/* DTC Transfer count reload register 18 */

#pragma	ADDRESS		dtsar18_addr	0x2CD4		/* DTC Source address register 18 */

#pragma	ADDRESS		dtdar18_addr	0x2CD6		/* DTC Destination register 18 */

#pragma	ADDRESS		dtccr19_addr	0x2CD8		/* DTC Control register 19 */

#pragma	ADDRESS		dtbls19_addr	0x2CD9		/* DTC Block size register 19 */

#pragma	ADDRESS		dtcct19_addr	0x2CDA		/* DTC Transfer count register 19 */

#pragma	ADDRESS		dtrld19_addr	0x2CDB		/* DTC Transfer count reload register 19 */

#pragma	ADDRESS		dtsar19_addr	0x2CDC		/* DTC Source address register 19 */

#pragma	ADDRESS		dtdar19_addr	0x2CDE		/* DTC Destination register 19 */

#pragma	ADDRESS		dtccr20_addr	0x2CE0		/* DTC Control register 20 */

#pragma	ADDRESS		dtbls20_addr	0x2CE1		/* DTC Block size register 20 */

#pragma	ADDRESS		dtcct20_addr	0x2CE2		/* DTC Transfer count register 20 */

#pragma	ADDRESS		dtrld20_addr	0x2CE3		/* DTC Transfer count reload register 20 */

#pragma	ADDRESS		dtsar20_addr	0x2CE4		/* DTC Source address register 20 */

#pragma	ADDRESS		dtdar20_addr	0x2CE6		/* DTC Destination register 20 */

#pragma	ADDRESS		dtccr21_addr	0x2CE8		/* DTC Control register 21 */

#pragma	ADDRESS		dtbls21_addr	0x2CE9		/* DTC Block size register 21 */

#pragma	ADDRESS		dtcct21_addr	0x2CEA		/* DTC Transfer count register 21 */

#pragma	ADDRESS		dtrld21_addr	0x2CEB		/* DTC Transfer count reload register 21 */

#pragma	ADDRESS		dtsar21_addr	0x2CEC		/* DTC Source address register 21 */

#pragma	ADDRESS		dtdar21_addr	0x2CEE		/* DTC Destination register 21 */

#pragma	ADDRESS		dtccr22_addr	0x2CF0		/* DTC Control register 22 */

#pragma	ADDRESS		dtbls22_addr	0x2CF1		/* DTC Block size register 22 */

#pragma	ADDRESS		dtcct22_addr	0x2CF2		/* DTC Transfer count register 22 */

#pragma	ADDRESS		dtrld22_addr	0x2CF3		/* DTC Transfer count reload register 22 */

#pragma	ADDRESS		dtsar22_addr	0x2CF4		/* DTC Source address register 22 */

#pragma	ADDRESS		dtdar22_addr	0x2CF6		/* DTC Destination register 22 */

#pragma	ADDRESS		dtccr23_addr	0x2CF8		/* DTC Control register 23 */

#pragma	ADDRESS		dtbls23_addr	0x2CF9		/* DTC Block size register 23 */

#pragma	ADDRESS		dtcct23_addr	0x2CFA		/* DTC Transfer count register 23 */

#pragma	ADDRESS		dtrld23_addr	0x2CFB		/* DTC Transfer count reload register 23 */

#pragma	ADDRESS		dtsar23_addr	0x2CFC		/* DTC Source address register 23 */

#pragma	ADDRESS		dtdar23_addr	0x2CFE		/* DTC Destination register 23 */

/********************************************************
*  declare SFR bit                                      *
********************************************************/
struct	bit_def {
	unsigned char	b0:1;
	unsigned char	b1:1;
	unsigned char	b2:1;
	unsigned char	b3:1;
	unsigned char	b4:1;
	unsigned char	b5:1;
	unsigned char	b6:1;
	unsigned char	b7:1;
};
union	byte_def{
	struct	bit_def bit;
	unsigned char	byte;
};

/*------------------------------------------------------
  Processor Mode Register 0
------------------------------------------------------*/
union	byte_def	pm0_addr;
#define		pm0			pm0_addr.byte

#define		pm03		pm0_addr.bit.b3			/* Software reset bit */

/*------------------------------------------------------
  Processor Mode Register 1
------------------------------------------------------*/
union	byte_def	pm1_addr;
#define		pm1			pm1_addr.byte

#define		pm12		pm1_addr.bit.b2			/* WDT interrupt/reset switch bit */

/*------------------------------------------------------
  System Clock Control Register 0
------------------------------------------------------*/
union	byte_def	cm0_addr;
#define		cm0			cm0_addr.byte

#define		cm01		cm0_addr.bit.b1			/* Xin-Xcin switch bit */
#define		cm02		cm0_addr.bit.b2			/* Wait mode peripheral function clock stop bit */
#define		cm03		cm0_addr.bit.b3			/* Xcin clock stop bit */
#define		cm04		cm0_addr.bit.b4			/* Port/XCIN-XCOUT switch bit */
#define		cm05		cm0_addr.bit.b5			/* Xin clock (Xin-Xout) stop bit */
#define		cm06		cm0_addr.bit.b6			/* CPU clock division select bit 0 */
#define		cm07		cm0_addr.bit.b7			/* XIN, XCIN clock select bit */

/*------------------------------------------------------
  System Clock Control Register 1
------------------------------------------------------*/
union	byte_def	cm1_addr;
#define		cm1			cm1_addr.byte

#define		cm10		cm1_addr.bit.b0			/* All clock stop control bit */
#define		cm11		cm1_addr.bit.b1			/* XIN-XOUT on-chip feedback resistor select bit */
#define		cm12		cm1_addr.bit.b2			/* XCIN-XCOUT on-chip feedback resistor select bit */
#define		cm13		cm1_addr.bit.b3			/* Port/XIN-XOUT switch bit */
#define		cm14		cm1_addr.bit.b4			/* Low-speed on-chip oscillator stop bit */
#define		cm16		cm1_addr.bit.b6			/* CPU clock division select bit 1 */
#define		cm17		cm1_addr.bit.b7			/* CPU clock division select bit 1 */

/*------------------------------------------------------
  Module Standby Control Register
------------------------------------------------------*/
union	byte_def	mstcr_addr;
#define		mstcr		mstcr_addr.byte

#define		mstiic		mstcr_addr.bit.b3		/* SSU, I2C bus standby bit */
#define		msttrd		mstcr_addr.bit.b4		/* Power consumption reduce bit */
#define		msttrc		mstcr_addr.bit.b5		/* Timer RC standby bit */

/*------------------------------------------------------
  System clock control register 3
------------------------------------------------------*/
union	byte_def	cm3_addr;
#define		cm3			cm3_addr.byte

#define		cm30		cm3_addr.bit.b0			/* WAIT control bit */
#define		cm35		cm3_addr.bit.b5			/* CPU clock division when exiting wait mode select bit */
#define		cm36		cm3_addr.bit.b6			/* System clock when exiting wait mode or stop mode select bit */
#define		cm37		cm3_addr.bit.b7			/* System clock when exiting wait mode or stop mode select bit */

/*------------------------------------------------------
  Protect register
------------------------------------------------------*/
union	byte_def	prcr_addr;
#define		prcr		prcr_addr.byte

#define		prc0		prcr_addr.bit.b0		/* Protect bit 0 */
#define		prc1		prcr_addr.bit.b1		/* Protect bit 1 */
#define		prc2		prcr_addr.bit.b2		/* Protect bit 2 */
#define		prc3		prcr_addr.bit.b3		/* Protect bit 3 */

/*------------------------------------------------------
  Reset source determination register
------------------------------------------------------*/
union	byte_def	rstfr_addr;
#define		rstfr		rstfr_addr.byte

#define		cwr			rstfr_addr.bit.b0		/* Cold start-up/warm start-up determine flag */
#define		hwr			rstfr_addr.bit.b1		/* Hardware reset detect flag */
#define		swr			rstfr_addr.bit.b2		/* Software reset detect flag */
#define		wdr			rstfr_addr.bit.b3		/* Watchdog timer reset detect flag */

/*------------------------------------------------------
  Oscillation stop detection register
------------------------------------------------------*/
union	byte_def	ocd_addr;
#define		ocd			ocd_addr.byte

#define		ocd0		ocd_addr.bit.b0			/* Oscillation stop detection enable bit */
#define		ocd1		ocd_addr.bit.b1			/* Oscillation stop detection interrupt enable bit */
#define		ocd2		ocd_addr.bit.b2			/* System clock select bit */
#define		ocd3		ocd_addr.bit.b3			/* Clock monitor bit */

/*------------------------------------------------------
  Watchdog timer reset register
------------------------------------------------------*/
union	byte_def	wdtr_addr;
#define		wdtr		wdtr_addr.byte

/*------------------------------------------------------
  Watchdog timer start register
------------------------------------------------------*/
union	byte_def	wdts_addr;
#define		wdts		wdts_addr.byte

/*------------------------------------------------------
  Watchdog timer control register
------------------------------------------------------*/
union	byte_def	wdtc_addr;
#define		wdtc		wdtc_addr.byte

#define		wdtc7		wdtc_addr.bit.b7		/* Prescaler select bit */

/*------------------------------------------------------
  High-speed on-chip oscillator control register 7
------------------------------------------------------*/
union	byte_def	fra7_addr;
#define		fra7		fra7_addr.byte

/*------------------------------------------------------
  Count Source Protection Mode Register
------------------------------------------------------*/
union	byte_def	cspr_addr;
#define		cspr		cspr_addr.byte

#define		cspro		cspr_addr.bit.b7		/* Count source protection mode select bit */

/*------------------------------------------------------
  High-speed on-chip oscillator control register 0
------------------------------------------------------*/
union	byte_def	fra0_addr;
#define		fra0		fra0_addr.byte

#define		fra00		fra0_addr.bit.b0		/* High-speed on-chip oscillator enable bit */
#define		fra01		fra0_addr.bit.b1		/* High-speed on-chip oscillator select bit */
#define		fra03		fra0_addr.bit.b3		/* fOCO128 clock select bit */

/*------------------------------------------------------
  High-speed on-chip oscillator control register 1
------------------------------------------------------*/
union	byte_def	fra1_addr;
#define		fra1		fra1_addr.byte

/*------------------------------------------------------
  High-speed on-chip oscillator control register 2
------------------------------------------------------*/
union	byte_def	fra2_addr;
#define		fra2		fra2_addr.byte

#define		fra20		fra2_addr.bit.b0		/* High-speed on-chip oscillator frequency switching bit */
#define		fra21		fra2_addr.bit.b1		/* High-speed on-chip oscillator frequency switching bit */
#define		fra22		fra2_addr.bit.b2		/* High-speed on-chip oscillator frequency switching bit */

/*------------------------------------------------------
  On-Chip Reference Voltage Control Register
------------------------------------------------------*/
union	byte_def	ocvrefcr_addr;
#define		ocvrefcr	ocvrefcr_addr.byte

#define		ocvrefan	ocvrefcr_addr.bit.b0	/* On-chip reference voltage to analog input connect bit */

/*------------------------------------------------------
  Clock prescaler reset flag
------------------------------------------------------*/
union	byte_def	cpsrf_addr;
#define		cpsrf		cpsrf_addr.byte

#define		cpsr		cpsrf_addr.bit.b7		/* Clock prescaler reset flag */

/*------------------------------------------------------
  High-speed on-chip oscillator control register 4
------------------------------------------------------*/
union	byte_def	fra4_addr;
#define		fra4		fra4_addr.byte

/*------------------------------------------------------
  High-speed on-chip oscillator control register 5
------------------------------------------------------*/
union	byte_def	fra5_addr;
#define		fra5		fra5_addr.byte

/*------------------------------------------------------
  High-speed on-chip oscillator control register 6
------------------------------------------------------*/
union	byte_def	fra6_addr;
#define		fra6		fra6_addr.byte

/*------------------------------------------------------
  High-speed on-chip oscillator control register 3
------------------------------------------------------*/
union	byte_def	fra3_addr;
#define		fra3		fra3_addr.byte

/*------------------------------------------------------
  Voltage monitor circuit control register
------------------------------------------------------*/
union	byte_def	cmpa_addr;
#define		cmpa		cmpa_addr.byte

#define		irq1sel		cmpa_addr.bit.b4		/* Voltage monitor 1 interrupt type select bit */
#define		irq2sel		cmpa_addr.bit.b5		/* Voltage monitor 2 interrupt type select bit */
#define		compsel		cmpa_addr.bit.b7		/* Voltage monitor interrupt type selection enable bit */

/*------------------------------------------------------
  Voltage monitor circuit edge select register
------------------------------------------------------*/
union	byte_def	vcac_addr;
#define		vcac		vcac_addr.byte

#define		vcac1		vcac_addr.bit.b1		/* Voltage monitor 1 circuit edge select bit */
#define		vcac2		vcac_addr.bit.b2		/* Voltage monitor 2 circuit edge select bit */

/*------------------------------------------------------
  Voltage Detect Register 1
------------------------------------------------------*/
union	byte_def	vca1_addr;
#define		vca1		vca1_addr.byte

#define		vca13		vca1_addr.bit.b3		/* Voltage detection 2 signal monitor flag */

/*------------------------------------------------------
  Voltage Detect Register 2
------------------------------------------------------*/
union	byte_def	vca2_addr;
#define		vca2		vca2_addr.byte

#define		vca20		vca2_addr.bit.b0		/* Internal power low consumption enable bit */
#define		vca25		vca2_addr.bit.b5		/* Voltage detection 0 enable bit */
#define		vca26		vca2_addr.bit.b6		/* Voltage detection 1 enable bit */
#define		vca27		vca2_addr.bit.b7		/* Voltage detection 2 enable bit */

/*------------------------------------------------------
  Voltage detection 1 level select register
------------------------------------------------------*/
union	byte_def	vd1ls_addr;
#define		vd1ls		vd1ls_addr.byte

#define		vd1s0		vd1ls_addr.bit.b0		/* Voltage detection 1 Level select bit */
#define		vd1s1		vd1ls_addr.bit.b1		/* Voltage detection 1 Level select bit */
#define		vd1s2		vd1ls_addr.bit.b2		/* Voltage detection 1 Level select bit */
#define		vd1s3		vd1ls_addr.bit.b3		/* Voltage detection 1 Level select bit */

/*------------------------------------------------------
  Voltage monitor 0 circuit control register
------------------------------------------------------*/
union	byte_def	vw0c_addr;
#define		vw0c		vw0c_addr.byte

#define		vw0c0		vw0c_addr.bit.b0		/* Voltage monitor 0 reset enable bit */

/*------------------------------------------------------
  Voltage monitor 1 circuit control register
------------------------------------------------------*/
union	byte_def	vw1c_addr;
#define		vw1c		vw1c_addr.byte

#define		vw1c0		vw1c_addr.bit.b0		/* Voltage monitor 1 reset interrupt enable bit */
#define		vw1c1		vw1c_addr.bit.b1		/* Voltage Monitor 1 digital filter disable mode select bit */
#define		vw1c2		vw1c_addr.bit.b2		/* Voltage change detection flag */
#define		vw1c3		vw1c_addr.bit.b3		/* Voltage detection 1 signal monitor flag */
#define		vw1f0		vw1c_addr.bit.b4		/* Sampling clock select bit */
#define		vw1f1		vw1c_addr.bit.b5		/* Sampling clock select bit */
#define		vw1c7		vw1c_addr.bit.b7		/* Voltage monitor 1 interrupt generation condition select bit */

/*------------------------------------------------------
  Voltage monitor 2 circuit control register
------------------------------------------------------*/
union	byte_def	vw2c_addr;
#define		vw2c		vw2c_addr.byte

#define		vw2c0		vw2c_addr.bit.b0		/* Voltage monitor 2 interrupt enable bit */
#define		vw2c1		vw2c_addr.bit.b1		/* Voltage monitor 2 digital filter disable mode select bit */
#define		vw2c2		vw2c_addr.bit.b2		/* Voltage change detection flag */
#define		vw2c3		vw2c_addr.bit.b3		/* WDT detection monitor flag */
#define		vw2f0		vw2c_addr.bit.b4		/* Sampling clock select bit */
#define		vw2f1		vw2c_addr.bit.b5		/* Sampling clock select bit */
#define		vw2c7		vw2c_addr.bit.b7		/* Voltage monitor 2 interrupt generation condition select bit */

/*------------------------------------------------------
  DTC Activation Control Register
------------------------------------------------------*/
union	byte_def	dtctl_addr;
#define		dtctl		dtctl_addr.byte

#define		nmif		dtctl_addr.bit.b1		/* Non-maskable interrupt generation bit */

/*------------------------------------------------------
  DTC Activation Enable Register 0
------------------------------------------------------*/
union	byte_def	dtcen0_addr;
#define		dtcen0		dtcen0_addr.byte

#define		dtcen00		dtcen0_addr.bit.b0		/* DTC activation enable bit */
#define		dtcen01		dtcen0_addr.bit.b1		/* DTC activation enable bit */
#define		dtcen02		dtcen0_addr.bit.b2		/* DTC activation enable bit */
#define		dtcen03		dtcen0_addr.bit.b3		/* DTC activation enable bit */
#define		dtcen04		dtcen0_addr.bit.b4		/* DTC activation enable bit */
#define		dtcen05		dtcen0_addr.bit.b5		/* DTC activation enable bit */
#define		dtcen06		dtcen0_addr.bit.b6		/* DTC activation enable bit */
#define		dtcen07		dtcen0_addr.bit.b7		/* DTC activation enable bit */

/*------------------------------------------------------
  DTC Activation Enable Register 1
------------------------------------------------------*/
union	byte_def	dtcen1_addr;
#define		dtcen1		dtcen1_addr.byte

#define		dtcen10		dtcen1_addr.bit.b0		/* DTC activation enable bit */
#define		dtcen11		dtcen1_addr.bit.b1		/* DTC activation enable bit */
#define		dtcen12		dtcen1_addr.bit.b2		/* DTC activation enable bit */
#define		dtcen13		dtcen1_addr.bit.b3		/* DTC activation enable bit */
#define		dtcen14		dtcen1_addr.bit.b4		/* DTC activation enable bit */
#define		dtcen15		dtcen1_addr.bit.b5		/* DTC activation enable bit */
#define		dtcen16		dtcen1_addr.bit.b6		/* DTC activation enable bit */
#define		dtcen17		dtcen1_addr.bit.b7		/* DTC activation enable bit */

/*------------------------------------------------------
  DTC Activation Enable Register 2
------------------------------------------------------*/
union	byte_def	dtcen2_addr;
#define		dtcen2		dtcen2_addr.byte

#define		dtcen20		dtcen2_addr.bit.b0		/* DTC activation enable bit */
#define		dtcen21		dtcen2_addr.bit.b1		/* DTC activation enable bit */
#define		dtcen22		dtcen2_addr.bit.b2		/* DTC activation enable bit */
#define		dtcen23		dtcen2_addr.bit.b3		/* DTC activation enable bit */
#define		dtcen24		dtcen2_addr.bit.b4		/* DTC activation enable bit */
#define		dtcen25		dtcen2_addr.bit.b5		/* DTC activation enable bit */
#define		dtcen26		dtcen2_addr.bit.b6		/* DTC activation enable bit */
#define		dtcen27		dtcen2_addr.bit.b7		/* DTC activation enable bit */

/*------------------------------------------------------
  DTC Activation Enable Register 3
------------------------------------------------------*/
union	byte_def	dtcen3_addr;
#define		dtcen3		dtcen3_addr.byte

#define		dtcen30		dtcen3_addr.bit.b0		/* DTC activation enable bit */
#define		dtcen31		dtcen3_addr.bit.b1		/* DTC activation enable bit */
#define		dtcen32		dtcen3_addr.bit.b2		/* DTC activation enable bit */
#define		dtcen33		dtcen3_addr.bit.b3		/* DTC activation enable bit */
#define		dtcen34		dtcen3_addr.bit.b4		/* DTC activation enable bit */
#define		dtcen35		dtcen3_addr.bit.b5		/* DTC activation enable bit */
#define		dtcen36		dtcen3_addr.bit.b6		/* DTC activation enable bit */
#define		dtcen37		dtcen3_addr.bit.b7		/* DTC activation enable bit */

/*------------------------------------------------------
  DTC Activation Enable Register 5
------------------------------------------------------*/
union	byte_def	dtcen5_addr;
#define		dtcen5		dtcen5_addr.byte

#define		dtcen50		dtcen5_addr.bit.b0		/* DTC activation enable bit */
#define		dtcen51		dtcen5_addr.bit.b1		/* DTC activation enable bit */
#define		dtcen52		dtcen5_addr.bit.b2		/* DTC activation enable bit */
#define		dtcen53		dtcen5_addr.bit.b3		/* DTC activation enable bit */
#define		dtcen54		dtcen5_addr.bit.b4		/* DTC activation enable bit */
#define		dtcen55		dtcen5_addr.bit.b5		/* DTC activation enable bit */
#define		dtcen56		dtcen5_addr.bit.b6		/* DTC activation enable bit */
#define		dtcen57		dtcen5_addr.bit.b7		/* DTC activation enable bit */

/*------------------------------------------------------
  DTC Activation Enable Register 6
------------------------------------------------------*/
union	byte_def	dtcen6_addr;
#define		dtcen6		dtcen6_addr.byte

#define		dtcen60		dtcen6_addr.bit.b0		/* DTC activation enable bit */
#define		dtcen61		dtcen6_addr.bit.b1		/* DTC activation enable bit */
#define		dtcen62		dtcen6_addr.bit.b2		/* DTC activation enable bit */
#define		dtcen63		dtcen6_addr.bit.b3		/* DTC activation enable bit */
#define		dtcen64		dtcen6_addr.bit.b4		/* DTC activation enable bit */
#define		dtcen65		dtcen6_addr.bit.b5		/* DTC activation enable bit */
#define		dtcen66		dtcen6_addr.bit.b6		/* DTC activation enable bit */
#define		dtcen67		dtcen6_addr.bit.b7		/* DTC activation enable bit */

/*------------------------------------------------------
  UART0 bit rate register
------------------------------------------------------*/
union	byte_def	u0brg_addr;
#define		u0brg		u0brg_addr.byte

/*------------------------------------------------------
  UART2 bit rate register
------------------------------------------------------*/
union	byte_def	u2brg_addr;
#define		u2brg		u2brg_addr.byte

/*------------------------------------------------------
  UART2 Digital Filter Function Select Register
------------------------------------------------------*/
union	byte_def	urxdf_addr;
#define		urxdf		urxdf_addr.byte

#define		df2en		urxdf_addr.bit.b2		/* RXD2 digital filter enable bit */

/*------------------------------------------------------
  UART2 special mode register 5
------------------------------------------------------*/
union	byte_def	u2smr5_addr;
#define		u2smr5		u2smr5_addr.byte

#define		mp			u2smr5_addr.bit.b0		/* Multiprocessor Communication enable bit */
#define		mpie		u2smr5_addr.bit.b4		/* Multiprocessor Communication control bit */

/*------------------------------------------------------
  UART2 special mode register 4
------------------------------------------------------*/
union	byte_def	u2smr4_addr;
#define		u2smr4		u2smr4_addr.byte

#define		stareq		u2smr4_addr.bit.b0		/* Start condition generate bit */
#define		rstareq		u2smr4_addr.bit.b1		/* Restart condition generate bit */
#define		stpreq		u2smr4_addr.bit.b2		/* Stop condition generate bit */
#define		stspsel		u2smr4_addr.bit.b3		/* SCL, SDA output select bit */
#define		ackd		u2smr4_addr.bit.b4		/* ACK data bit */
#define		ackc		u2smr4_addr.bit.b5		/* ACK data output enable bit */
#define		sclhi		u2smr4_addr.bit.b6		/* SCL output stop enable bit */
#define		swc9		u2smr4_addr.bit.b7		/* SCL WAIT bit 3 */

/*------------------------------------------------------
  UART2 special mode register 3
------------------------------------------------------*/
union	byte_def	u2smr3_addr;
#define		u2smr3		u2smr3_addr.byte

#define		ckph		u2smr3_addr.bit.b1		/* clock phase set bit */
#define		nodc		u2smr3_addr.bit.b3		/* clock output select bit */
#define		dl0			u2smr3_addr.bit.b5		/* SDA2 digital delay setup bit */
#define		dl1			u2smr3_addr.bit.b6		/* SDA2 digital delay setup bit */
#define		dl2			u2smr3_addr.bit.b7		/* SDA2 digital delay setup bit */

/*------------------------------------------------------
  UART2 special mode register 2
------------------------------------------------------*/
union	byte_def	u2smr2_addr;
#define		u2smr2		u2smr2_addr.byte

#define		iicm2		u2smr2_addr.bit.b0		/* I2C mode select bit 2 */
#define		csc			u2smr2_addr.bit.b1		/* Clock synchronization bit */
#define		swc			u2smr2_addr.bit.b2		/* SCL wait output bit */
#define		stac		u2smr2_addr.bit.b4		/* UART2 initialization bit */
#define		swc2		u2smr2_addr.bit.b5		/* SCL wait output bit 2 */
#define		sdhi		u2smr2_addr.bit.b6		/* SDA output disable bit */

/*------------------------------------------------------
  UART2 special mode register
------------------------------------------------------*/
union	byte_def	u2smr_addr;
#define		u2smr		u2smr_addr.byte

#define		iicm		u2smr_addr.bit.b0		/* I2C mode select bit */
#define		bbs			u2smr_addr.bit.b2		/* Bus busy flag */

/*------------------------------------------------------
  A/D Mode Register
------------------------------------------------------*/
union	byte_def	admod_addr;
#define		admod		admod_addr.byte

#define		cks0		admod_addr.bit.b0		/* division select bit */
#define		cks1		admod_addr.bit.b1		/* division select bit */
#define		cks2		admod_addr.bit.b2		/* Clock source select bit */
#define		md0			admod_addr.bit.b3		/* A/D operating mode select bit */
#define		md1			admod_addr.bit.b4		/* A/D operating mode select bit */
#define		md2			admod_addr.bit.b5		/* A/D operating mode select bit */
#define		adcap0		admod_addr.bit.b6		/* A/D conversion trigger select bit */
#define		adcap1		admod_addr.bit.b7		/* A/D conversion trigger select bit */

/*------------------------------------------------------
  A/D Input Select Register
------------------------------------------------------*/
union	byte_def	adinsel_addr;
#define		adinsel		adinsel_addr.byte

#define		ch0			adinsel_addr.bit.b0		/* Analog input pin select bit */
#define		ch1			adinsel_addr.bit.b1		/* Analog input pin select bit */
#define		ch2			adinsel_addr.bit.b2		/* Analog input pin select bit */
#define		scan0		adinsel_addr.bit.b4		/* A/D sweep pin count select bit */
#define		scan1		adinsel_addr.bit.b5		/* A/D sweep pin count select bit */
#define		adgsel0		adinsel_addr.bit.b6		/* A/D input group select bit */
#define		adgsel1		adinsel_addr.bit.b7		/* A/D input group select bit */

/*------------------------------------------------------
  A/D Control Register 0
------------------------------------------------------*/
union	byte_def	adcon0_addr;
#define		adcon0		adcon0_addr.byte

#define		adst		adcon0_addr.bit.b0		/* A/D conversion start flag */

/*------------------------------------------------------
  A/D Control Register 1
------------------------------------------------------*/
union	byte_def	adcon1_addr;
#define		adcon1		adcon1_addr.byte

#define		adex0		adcon1_addr.bit.b0		/* Extended analog input pin select bit */
#define		bits		adcon1_addr.bit.b4		/* 8/10-bit mode select bit */
#define		adstby		adcon1_addr.bit.b5		/* A/D standby bit */
#define		adddaen		adcon1_addr.bit.b6		/* A/D open-circuit detection assist function enable bit */
#define		adddael		adcon1_addr.bit.b7		/* A/D open-circuit detection assist method select bit */

/*------------------------------------------------------
  D/A0 Register
------------------------------------------------------*/
union	byte_def	da0_addr;
#define		da0			da0_addr.byte

/*------------------------------------------------------
  D/A1 Register
------------------------------------------------------*/
union	byte_def	da1_addr;
#define		da1			da1_addr.byte

/*------------------------------------------------------
  D/A Control Register
------------------------------------------------------*/
union	byte_def	dacon_addr;
#define		dacon		dacon_addr.byte

#define		da0e_dacon	dacon_addr.bit.b0		/* D/A0 output enable bit */
#define		da1e_dacon	dacon_addr.bit.b1		/* D/A1 output enable bit */

/*------------------------------------------------------
  Port P0 register
------------------------------------------------------*/
union	byte_def	p0_addr;
#define		p0			p0_addr.byte

#define		p0_0		p0_addr.bit.b0			/* Port P0_0 bit */
#define		p0_1		p0_addr.bit.b1			/* Port P0_1 bit */
#define		p0_2		p0_addr.bit.b2			/* Port P0_2 bit */
#define		p0_3		p0_addr.bit.b3			/* Port P0_3 bit */
#define		p0_4		p0_addr.bit.b4			/* Port P0_4 bit */
#define		p0_5		p0_addr.bit.b5			/* Port P0_5 bit */
#define		p0_6		p0_addr.bit.b6			/* Port P0_6 bit */
#define		p0_7		p0_addr.bit.b7			/* Port P0_7 bit */

/*------------------------------------------------------
  Port P1 register
------------------------------------------------------*/
union	byte_def	p1_addr;
#define		p1			p1_addr.byte

#define		p1_0		p1_addr.bit.b0			/* Port P1_0 bit */
#define		p1_1		p1_addr.bit.b1			/* Port P1_1 bit */
#define		p1_2		p1_addr.bit.b2			/* Port P1_2 bit */
#define		p1_3		p1_addr.bit.b3			/* Port P1_3 bit */
#define		p1_4		p1_addr.bit.b4			/* Port P1_4 bit */
#define		p1_5		p1_addr.bit.b5			/* Port P1_5 bit */
#define		p1_6		p1_addr.bit.b6			/* Port P1_6 bit */
#define		p1_7		p1_addr.bit.b7			/* Port P1_7 bit */

/*------------------------------------------------------
  Port P0 direction register
------------------------------------------------------*/
union	byte_def	pd0_addr;
#define		pd0			pd0_addr.byte

#define		pd0_0		pd0_addr.bit.b0			/* Port P0_0 direction bit */
#define		pd0_1		pd0_addr.bit.b1			/* Port P0_1 direction bit */
#define		pd0_2		pd0_addr.bit.b2			/* Port P0_2 direction bit */
#define		pd0_3		pd0_addr.bit.b3			/* Port P0_3 direction bit */
#define		pd0_4		pd0_addr.bit.b4			/* Port P0_4 direction bit */
#define		pd0_5		pd0_addr.bit.b5			/* Port P0_5 direction bit */
#define		pd0_6		pd0_addr.bit.b6			/* Port P0_6 direction bit */
#define		pd0_7		pd0_addr.bit.b7			/* Port P0_7 direction bit */

/*------------------------------------------------------
  Port P1 direction register
------------------------------------------------------*/
union	byte_def	pd1_addr;
#define		pd1			pd1_addr.byte

#define		pd1_0		pd1_addr.bit.b0			/* Port P1_0 direction bit */
#define		pd1_1		pd1_addr.bit.b1			/* Port P1_1 direction bit */
#define		pd1_2		pd1_addr.bit.b2			/* Port P1_2 direction bit */
#define		pd1_3		pd1_addr.bit.b3			/* Port P1_3 direction bit */
#define		pd1_4		pd1_addr.bit.b4			/* Port P1_4 direction bit */
#define		pd1_5		pd1_addr.bit.b5			/* Port P1_5 direction bit */
#define		pd1_6		pd1_addr.bit.b6			/* Port P1_6 direction bit */
#define		pd1_7		pd1_addr.bit.b7			/* Port P1_7 direction bit */

/*------------------------------------------------------
  Port P2 register
------------------------------------------------------*/
union	byte_def	p2_addr;
#define		p2			p2_addr.byte

#define		p2_0		p2_addr.bit.b0			/* Port P2_0 bit */
#define		p2_1		p2_addr.bit.b1			/* Port P2_1 bit */
#define		p2_2		p2_addr.bit.b2			/* Port P2_2 bit */

/*------------------------------------------------------
  Port P3 register
------------------------------------------------------*/
union	byte_def	p3_addr;
#define		p3			p3_addr.byte

#define		p3_1		p3_addr.bit.b1			/* Port P3_1 bit */
#define		p3_3		p3_addr.bit.b3			/* Port P3_3 bit */
#define		p3_4		p3_addr.bit.b4			/* Port P3_4 bit */
#define		p3_5		p3_addr.bit.b5			/* Port P3_5 bit */
#define		p3_7		p3_addr.bit.b7			/* Port P3_7 bit */

/*------------------------------------------------------
  Port P2 direction register
------------------------------------------------------*/
union	byte_def	pd2_addr;
#define		pd2			pd2_addr.byte

#define		pd2_0		pd2_addr.bit.b0			/* Port P2_0 direction bit */
#define		pd2_1		pd2_addr.bit.b1			/* Port P2_1 direction bit */
#define		pd2_2		pd2_addr.bit.b2			/* Port P2_2 direction bit */

/*------------------------------------------------------
  Port P3 direction register
------------------------------------------------------*/
union	byte_def	pd3_addr;
#define		pd3			pd3_addr.byte

#define		pd3_1		pd3_addr.bit.b1			/* Port P3_1 direction bit */
#define		pd3_3		pd3_addr.bit.b3			/* Port P3_3 direction bit */
#define		pd3_4		pd3_addr.bit.b4			/* Port P3_4 direction bit */
#define		pd3_5		pd3_addr.bit.b5			/* Port P3_5 direction bit */
#define		pd3_7		pd3_addr.bit.b7			/* Port P3_7 direction bit */

/*------------------------------------------------------
  Port P4 register
------------------------------------------------------*/
union	byte_def	p4_addr;
#define		p4			p4_addr.byte

#define		p4_2		p4_addr.bit.b2			/* Port P4_2 bit */
#define		p4_5		p4_addr.bit.b5			/* Port P4_5 bit */
#define		p4_6		p4_addr.bit.b6			/* Port P4_6 bit */
#define		p4_7		p4_addr.bit.b7			/* Port P4_7 bit */

/*------------------------------------------------------
  Port P4 direction register
------------------------------------------------------*/
union	byte_def	pd4_addr;
#define		pd4			pd4_addr.byte

#define		pd4_5		pd4_addr.bit.b5			/* Port P4_5 direction bit */
#define		pd4_6		pd4_addr.bit.b6			/* Port P4_6 direction bit */
#define		pd4_7		pd4_addr.bit.b7			/* Port P4_7 direction bit */

/*------------------------------------------------------
  Timer RA control register
------------------------------------------------------*/
union	byte_def	tracr_addr;
#define		tracr		tracr_addr.byte

#define		tstart_tracr	tracr_addr.bit.b0	/* Timer RA count start bit */
#define		tcstf_tracr		tracr_addr.bit.b1	/* Timer RA count status flag */
#define		tstop_tracr		tracr_addr.bit.b2	/* Timer RA count forcible stop bit */
#define		tedgf_tracr		tracr_addr.bit.b4	/* Active edge judgment flag */
#define		tundf_tracr		tracr_addr.bit.b5	/* Timer RA underflow flag */

/*------------------------------------------------------
  Timer RA I/O control register
------------------------------------------------------*/
union	byte_def	traioc_addr;
#define		traioc		traioc_addr.byte

#define		tedgsel_traioc	traioc_addr.bit.b0	/* TRAIO polarity switch bit */
#define		topcr_traioc	traioc_addr.bit.b1	/* TRAIO output control bit */
#define		toena_traioc	traioc_addr.bit.b2	/* TRAO output enable bit */
#define		tiosel_traioc	traioc_addr.bit.b3	/* Hardware LIN function select bit */
#define		tipf0_traioc	traioc_addr.bit.b4	/* TRAIO input filter select bit */
#define		tipf1_traioc	traioc_addr.bit.b5	/* TRAIO input filter select bit */
#define		tiogt0_traioc	traioc_addr.bit.b6	/* TRAIO event input control bit */
#define		tiogt1_traioc	traioc_addr.bit.b7	/* TRAIO event input control bit */

/*------------------------------------------------------
  Timer RA mode register
------------------------------------------------------*/
union	byte_def	tramr_addr;
#define		tramr		tramr_addr.byte

#define		tmod0_tramr		tramr_addr.bit.b0	/* Timer RA operating mode select bit */
#define		tmod1_tramr		tramr_addr.bit.b1	/* Timer RA operating mode select bit */
#define		tmod2_tramr		tramr_addr.bit.b2	/* Timer RA operating mode select bit */
#define		tck0_tramr		tramr_addr.bit.b4	/* Timer RA count source select bit */
#define		tck1_tramr		tramr_addr.bit.b5	/* Timer RA count source select bit */
#define		tck2_tramr		tramr_addr.bit.b6	/* Timer RA count source select bit */
#define		tckcut_tramr	tramr_addr.bit.b7	/* Timer RA count source cutoff bit */

/*------------------------------------------------------
  Timer RA Prescaler Register
------------------------------------------------------*/
union	byte_def	trapre_addr;
#define		trapre		trapre_addr.byte

/*------------------------------------------------------
  Timer RA register
------------------------------------------------------*/
union	byte_def	tra_addr;
#define		tra			tra_addr.byte

/*------------------------------------------------------
  LIN control register 2
------------------------------------------------------*/
union	byte_def	lincr2_addr;
#define		lincr2		lincr2_addr.byte

#define		bce_lincr2		lincr2_addr.bit.b0	/* Bus collision detection during Sync Break transmission enable bit */

/*------------------------------------------------------
  LIN control register
------------------------------------------------------*/
union	byte_def	lincr_addr;
#define		lincr		lincr_addr.byte

#define		sfie_lincr		lincr_addr.bit.b0	/* Synch Field measurement-completed interrupt enable bit */
#define		sbie_lincr		lincr_addr.bit.b1	/* Synch break detection interrupt enable bit */
#define		bcie_lincr		lincr_addr.bit.b2	/* Bus collision detection interrupt enable bit */
#define		rxdsf_lincr		lincr_addr.bit.b3	/* RxD0 input status flag */
#define		lstart_lincr	lincr_addr.bit.b4	/* Synch Break detection start bit */
#define		sbe_lincr		lincr_addr.bit.b5	/* RxD0 input unmasking timing select bit */
#define		mst_lincr		lincr_addr.bit.b6	/* LIN operation mode setting bit */
#define		line_lincr		lincr_addr.bit.b7	/* LIN operation start bit */

/*------------------------------------------------------
  LIN status register
------------------------------------------------------*/
union	byte_def	linst_addr;
#define		linst		linst_addr.byte

#define		sfdct_linst		linst_addr.bit.b0	/* Synch Field measurement-completed flag */
#define		sbdct_linst		linst_addr.bit.b1	/* Synch break detection flag */
#define		bcdct_linst		linst_addr.bit.b2	/* Bus collision detection flag */
#define		b0clr_linst		linst_addr.bit.b3	/* SFDCT bit clear bit */
#define		b1clr_linst		linst_addr.bit.b4	/* SBDCT bit clear bit */
#define		b2clr_linst		linst_addr.bit.b5	/* BCDCT bit clear bit */

/*------------------------------------------------------
  Timer RB control register
------------------------------------------------------*/
union	byte_def	trbcr_addr;
#define		trbcr		trbcr_addr.byte

#define		tstart_trbcr	trbcr_addr.bit.b0	/* Timer RB count start bit */
#define		tcstf_trbcr		trbcr_addr.bit.b1	/* Timer RB count status flag */
#define		tstop_trbcr		trbcr_addr.bit.b2	/* Timer RB count forcible stop bit */

/*------------------------------------------------------
  Timer RB One-Shot Control Register
------------------------------------------------------*/
union	byte_def	trbocr_addr;
#define		trbocr		trbocr_addr.byte

#define		tosst_trbocr	trbocr_addr.bit.b0	/* Timer RB one-shot start bit */
#define		tossp_trbocr	trbocr_addr.bit.b1	/* Timer RB one-shot stop bit */
#define		tosstf_trbocr	trbocr_addr.bit.b2	/* Timer RB one-shot status flag */

/*------------------------------------------------------
  Timer RB I/O control register
------------------------------------------------------*/
union	byte_def	trbioc_addr;
#define		trbioc		trbioc_addr.byte

#define		topl_trbioc		trbioc_addr.bit.b0	/* Timer RB output level select bit */
#define		tocnt_trbioc	trbioc_addr.bit.b1	/* Timer RB output switch bit */
#define		inostg_trbioc	trbioc_addr.bit.b2	/* One-shot trigger control bit */
#define		inoseg_trbioc	trbioc_addr.bit.b3	/* One-shot trigger polarity select bit */

/*------------------------------------------------------
  Timer RB mode register
------------------------------------------------------*/
union	byte_def	trbmr_addr;
#define		trbmr		trbmr_addr.byte

#define		tmod0_trbmr		trbmr_addr.bit.b0	/* Timer RB operating mode select bit */
#define		tmod1_trbmr		trbmr_addr.bit.b1	/* Timer RB operating mode select bit */
#define		twrc_trbmr		trbmr_addr.bit.b3	/* Timer RB write control bit */
#define		tck0_trbmr		trbmr_addr.bit.b4	/* Timer RB count source select bit */
#define		tck1_trbmr		trbmr_addr.bit.b5	/* Timer RB count source select bit */
#define		tckcut_trbmr	trbmr_addr.bit.b7	/* Timer RB count source cutoff bit */

/*------------------------------------------------------
  Timer RB Prescaler Register
------------------------------------------------------*/
union	byte_def	trbpre_addr;
#define		trbpre		trbpre_addr.byte

/*------------------------------------------------------
  Timer RB secondary register
------------------------------------------------------*/
union	byte_def	trbsc_addr;
#define		trbsc		trbsc_addr.byte

/*------------------------------------------------------
  Timer RB Primary Register
------------------------------------------------------*/
union	byte_def	trbpr_addr;
#define		trbpr		trbpr_addr.byte

/*------------------------------------------------------
  Timer RE Second Data Register / Counter Data Register
------------------------------------------------------*/
union	byte_def	tresec_addr;
#define		tresec		tresec_addr.byte

#define		sc00_tresec		tresec_addr.bit.b0	/* 1st digit of second count bit */
#define		sc01_tresec		tresec_addr.bit.b1	/* 1st digit of second count bit */
#define		sc02_tresec		tresec_addr.bit.b2	/* 1st digit of second count bit */
#define		sc03_tresec		tresec_addr.bit.b3	/* 1st digit of second count bit */
#define		sc10_tresec		tresec_addr.bit.b4	/* 2nd digit of second count bit */
#define		sc11_tresec		tresec_addr.bit.b5	/* 2nd digit of second count bit */
#define		sc12_tresec		tresec_addr.bit.b6	/* 2nd digit of second count bit */
#define		bsy_tresec		tresec_addr.bit.b7	/* Timer RE busy flag */

/*------------------------------------------------------
  Timer RE Minute Data Register / Compare Data Register
------------------------------------------------------*/
union	byte_def	tremin_addr;
#define		tremin		tremin_addr.byte

#define		mn00_tremin		tremin_addr.bit.b0	/* 1st digit of minute count bit */
#define		mn01_tremin		tremin_addr.bit.b1	/* 1st digit of minute count bit */
#define		mn02_tremin		tremin_addr.bit.b2	/* 1st digit of minute count bit */
#define		mn03_tremin		tremin_addr.bit.b3	/* 1st digit of minute count bit */
#define		mn10_tremin		tremin_addr.bit.b4	/* 2nd digit of minute count bit */
#define		mn11_tremin		tremin_addr.bit.b5	/* 2nd digit of minute count bit */
#define		mn12_tremin		tremin_addr.bit.b6	/* 2nd digit of minute count bit */
#define		bsy_tremin		tremin_addr.bit.b7	/* Timer RE busy flag */

/*------------------------------------------------------
  Timer RE Hour Data Register
------------------------------------------------------*/
union	byte_def	trehr_addr;
#define		trehr		trehr_addr.byte

#define		hr00_trehr		trehr_addr.bit.b0	/* 1st digit of hour count bit */
#define		hr01_trehr		trehr_addr.bit.b1	/* 1st digit of hour count bit */
#define		hr02_trehr		trehr_addr.bit.b2	/* 1st digit of hour count bit */
#define		hr03_trehr		trehr_addr.bit.b3	/* 1st digit of hour count bit */
#define		hr10_trehr		trehr_addr.bit.b4	/* 2nd digit of hour count bit */
#define		hr11_trehr		trehr_addr.bit.b5	/* 2nd digit of hour count bit */
#define		bsy_trehr		trehr_addr.bit.b7	/* Timer RE busy flag */

/*------------------------------------------------------
  Timer RE Day of Week Data Register
------------------------------------------------------*/
union	byte_def	trewk_addr;
#define		trewk		trewk_addr.byte

#define		wk0_trewk		trewk_addr.bit.b0	/* Day of week count bit */
#define		wk1_trewk		trewk_addr.bit.b1	/* Day of week count bit */
#define		wk2_trewk		trewk_addr.bit.b2	/* Day of week count bit */
#define		bsy_trewk		trewk_addr.bit.b7	/* Timer RE busy flag */

/*------------------------------------------------------
  Timer RE Control Register 1
------------------------------------------------------*/
union	byte_def	trecr1_addr;
#define		trecr1		trecr1_addr.byte

#define		tcstf_trecr1	trecr1_addr.bit.b1	/* Timer RE count status flag */
#define		toena_trecr1	trecr1_addr.bit.b2	/* TREO pin output enable bit */
#define		int_trecr1		trecr1_addr.bit.b3	/* Interrupt request timing bit */
#define		trerst_trecr1	trecr1_addr.bit.b4	/* Timer RE reset bit */
#define		pm_trecr1		trecr1_addr.bit.b5	/* A.m./p.m. bit */
#define		h12_h24_trecr1	trecr1_addr.bit.b6	/* Operating mode select bit */
#define		tstart_trecr1	trecr1_addr.bit.b7	/* Timer RE count start bit */

/*------------------------------------------------------
  Timer RE Control Register 2
------------------------------------------------------*/
union	byte_def	trecr2_addr;
#define		trecr2		trecr2_addr.byte

#define		seie_trecr2		trecr2_addr.bit.b0	/* Periodic interrupt triggered every second enable bit */
#define		mnie_trecr2		trecr2_addr.bit.b1	/* Periodic interrupt triggered every minute enable bit */
#define		hrie_trecr2		trecr2_addr.bit.b2	/* Periodic interrupt triggered every hour enable bit */
#define		dyie_trecr2		trecr2_addr.bit.b3	/* Periodic interrupt triggered every day enable bit */
#define		wkie_trecr2		trecr2_addr.bit.b4	/* Periodic interrupt triggered every week enable bit */
#define		comie_trecr2	trecr2_addr.bit.b5	/* Compare match interrupt enable bit */

/*------------------------------------------------------
  Timer RE count source select register
------------------------------------------------------*/
union	byte_def	trecsr_addr;
#define		trecsr		trecsr_addr.byte

#define		rcs0_trecsr		trecsr_addr.bit.b0	/* Count source select bit */
#define		rcs1_trecsr		trecsr_addr.bit.b1	/* Count source select bit */
#define		rcs2_trecsr		trecsr_addr.bit.b2	/* 4-Bit counter select bit */
#define		rcs3_trecsr		trecsr_addr.bit.b3	/* Real-Time clock mode select bit */
#define		rcs4_trecsr		trecsr_addr.bit.b4	/* Clock output select bit */
#define		rcs5_trecsr		trecsr_addr.bit.b5	/* Clock output select bit */
#define		rcs6_trecsr		trecsr_addr.bit.b6	/* Clock output select bit */

/*------------------------------------------------------
  Timer RC mode register
------------------------------------------------------*/
union	byte_def	trcmr_addr;
#define		trcmr		trcmr_addr.byte

#define		pwmb_trcmr		trcmr_addr.bit.b0	/* PWM mode of TRCIOB select bit */
#define		pwmc_trcmr		trcmr_addr.bit.b1	/* PWM mode of TRCIOC select bit */
#define		pwmd_trcmr		trcmr_addr.bit.b2	/* PWM mode of TRCIOD select bit */
#define		pwm2_trcmr		trcmr_addr.bit.b3	/* PWM2 mode select bit */
#define		bfc_trcmr		trcmr_addr.bit.b4	/* TRCGRC register function select bit */
#define		bfd_trcmr		trcmr_addr.bit.b5	/* TRCGRD register function select bit */
#define		tstart_trcmr	trcmr_addr.bit.b7	/* TRC count start bit */

/*------------------------------------------------------
  Timer RC control register 1
------------------------------------------------------*/
union	byte_def	trccr1_addr;
#define		trccr1		trccr1_addr.byte

#define		toa_trccr1		trccr1_addr.bit.b0	/* TRCIOA output level select bit */
#define		tob_trccr1		trccr1_addr.bit.b1	/* TRCIOB output level select bit */
#define		toc_trccr1		trccr1_addr.bit.b2	/* TRCIOC output level select bit */
#define		tod_trccr1		trccr1_addr.bit.b3	/* TRCIOD output level select bit */
#define		tck0_trccr1		trccr1_addr.bit.b4	/* Count source select bit */
#define		tck1_trccr1		trccr1_addr.bit.b5	/* Count source select bit */
#define		tck2_trccr1		trccr1_addr.bit.b6	/* Count source select bit */
#define		cclr_trccr1		trccr1_addr.bit.b7	/* TRC counter clear select bit */

/*------------------------------------------------------
  Timer RC interrupt enable register
------------------------------------------------------*/
union	byte_def	trcier_addr;
#define		trcier		trcier_addr.byte

#define		imiea_trcier	trcier_addr.bit.b0	/* Input capture / compare match interrupt enable bit A */
#define		imieb_trcier	trcier_addr.bit.b1	/* Input capture / compare match interrupt enable bit B */
#define		imiec_trcier	trcier_addr.bit.b2	/* Input capture / compare match interrupt enable bit C */
#define		imied_trcier	trcier_addr.bit.b3	/* Input capture / compare match interrupt enable bit D */
#define		ovie_trcier		trcier_addr.bit.b7	/* Overflow interrupt enable bit */

/*------------------------------------------------------
  Timer RC status register
------------------------------------------------------*/
union	byte_def	trcsr_addr;
#define		trcsr		trcsr_addr.byte

#define		imfa_trcsr		trcsr_addr.bit.b0	/* Input capture / compare match flag A */
#define		imfb_trcsr		trcsr_addr.bit.b1	/* Input capture / compare match flag B */
#define		imfc_trcsr		trcsr_addr.bit.b2	/* Input capture / compare match flag C */
#define		imfd_trcsr		trcsr_addr.bit.b3	/* Input capture / compare match flag D */
#define		ovf_trcsr		trcsr_addr.bit.b7	/* Overflow flag */

/*------------------------------------------------------
  Timer RC I/O Control Register 0
------------------------------------------------------*/
union	byte_def	trcior0_addr;
#define		trcior0		trcior0_addr.byte

#define		ioa0_trcior0	trcior0_addr.bit.b0	/* TRCGRA control bit */
#define		ioa1_trcior0	trcior0_addr.bit.b1	/* TRCGRA control bit */
#define		ioa2_trcior0	trcior0_addr.bit.b2	/* TRCGRA mode select bit */
#define		ioa3_trcior0	trcior0_addr.bit.b3	/* TRCGRA input capture input switch bit */
#define		iob0_trcior0	trcior0_addr.bit.b4	/* TRCGRB control bit */
#define		iob1_trcior0	trcior0_addr.bit.b5	/* TRCGRB control bit */
#define		iob2_trcior0	trcior0_addr.bit.b6	/* TRCGRB mode select bit */

/*------------------------------------------------------
  Timer RC I/O Control Register 1
------------------------------------------------------*/
union	byte_def	trcior1_addr;
#define		trcior1		trcior1_addr.byte

#define		ioc0_trcior1	trcior1_addr.bit.b0	/* TRCGRC control bit */
#define		ioc1_trcior1	trcior1_addr.bit.b1	/* TRCGRC control bit */
#define		ioc2_trcior1	trcior1_addr.bit.b2	/* TRCGRC mode select bit */
#define		ioc3_trcior1	trcior1_addr.bit.b3	/* TRCGRC register function select bit */
#define		iod0_trcior1	trcior1_addr.bit.b4	/* TRCGRD control bit */
#define		iod1_trcior1	trcior1_addr.bit.b5	/* TRCGRD control bit */
#define		iod2_trcior1	trcior1_addr.bit.b6	/* TRCGRD mode select bit */
#define		iod3_trcior1	trcior1_addr.bit.b7	/* TRCGRD register function select bit */

/*------------------------------------------------------
  Timer RC control register 2
------------------------------------------------------*/
union	byte_def	trccr2_addr;
#define		trccr2		trccr2_addr.byte

#define		polb_trccr2		trccr2_addr.bit.b0	/* PWM mode output level control bit B */
#define		polc_trccr2		trccr2_addr.bit.b1	/* PWM mode output level control bit C */
#define		pold_trccr2		trccr2_addr.bit.b2	/* PWM mode output level control bit D */
#define		csel_trccr2		trccr2_addr.bit.b5	/* TRC count operation select bit */
#define		tceg0_trccr2	trccr2_addr.bit.b6	/* TRCTRG input edge select bit */
#define		tceg1_trccr2	trccr2_addr.bit.b7	/* TRCTRG input edge select bit */

/*------------------------------------------------------
  Timer RC Digital Filter Function Select Register
------------------------------------------------------*/
union	byte_def	trcdf_addr;
#define		trcdf		trcdf_addr.byte

#define		dfa_trcdf		trcdf_addr.bit.b0	/* TRCIOA pin digital filter function select bit */
#define		dfb_trcdf		trcdf_addr.bit.b1	/* TRCIOB pin digital filter function select bit */
#define		dfc_trcdf		trcdf_addr.bit.b2	/* TRCIOC pin digital filter function select bit */
#define		dfd_trcdf		trcdf_addr.bit.b3	/* TRCIOD pin digital filter function select bit */
#define		dftrg_trcdf		trcdf_addr.bit.b4	/* TRCTRG pin digital filter function select bit */
#define		dfck0_trcdf		trcdf_addr.bit.b6	/* Clock select bits for digital filter function */
#define		dfck1_trcdf		trcdf_addr.bit.b7	/* Clock select bits for digital filter function */

/*------------------------------------------------------
  Timer RC output master enable register
------------------------------------------------------*/
union	byte_def	trcoer_addr;
#define		trcoer		trcoer_addr.byte

#define		ea_trcoer		trcoer_addr.bit.b0	/* TRCIOA output disable bit */
#define		eb_trcoer		trcoer_addr.bit.b1	/* TRCIOB output disable bit */
#define		ec_trcoer		trcoer_addr.bit.b2	/* TRCIOC output disable bit */
#define		ed_trcoer		trcoer_addr.bit.b3	/* TRCIOD output disable bit */
#define		pto_trcoer		trcoer_addr.bit.b7	/* INT0 of pulse output forced cutoff signal input enabled bit */

/*------------------------------------------------------
  Timer RC trigger control register
------------------------------------------------------*/
union	byte_def	trcadcr_addr;
#define		trcadcr		trcadcr_addr.byte

#define		adtrgae_trcadcr	trcadcr_addr.bit.b0	/* A/D trigger A enable bit */
#define		adtrgbe_trcadcr	trcadcr_addr.bit.b1	/* A/D trigger B enable bit */
#define		adtrgce_trcadcr	trcadcr_addr.bit.b2	/* A/D trigger C enable bit */
#define		adtrgde_trcadcr	trcadcr_addr.bit.b3	/* A/D trigger D enable bit */

/*------------------------------------------------------
  UART1 bit rate register
------------------------------------------------------*/
union	byte_def	u1brg_addr;
#define		u1brg		u1brg_addr.byte

/*------------------------------------------------------
  Timer RA pin select register
------------------------------------------------------*/
union	byte_def	trasr_addr;
#define		trasr		trasr_addr.byte

#define		traiosel0		trasr_addr.bit.b0	/* TRAIO pin select bit */
#define		traiosel1		trasr_addr.bit.b1	/* TRAIO pin select bit */

/*------------------------------------------------------
  Timer RB/RC pin select register
------------------------------------------------------*/
union	byte_def	trbrcsr_addr;
#define		trbrcsr		trbrcsr_addr.byte

#define		trbosel0		trbrcsr_addr.bit.b0	/* TRBO pin select bit */
#define		trcclksel0		trbrcsr_addr.bit.b4	/* TRCCLK pin select bit */
#define		trcclksel1		trbrcsr_addr.bit.b5	/* TRCCLK pin select bit */

/*------------------------------------------------------
  Timer RC pin select register 0
------------------------------------------------------*/
union	byte_def	trcpsr0_addr;
#define		trcpsr0		trcpsr0_addr.byte

#define		trcioasel0		trcpsr0_addr.bit.b0	/* TRCIOA/TRCTRG pin select bit */
#define		trcioasel1		trcpsr0_addr.bit.b1	/* TRCIOA/TRCTRG pin select bit */
#define		trcioasel2		trcpsr0_addr.bit.b2	/* TRCIOA/TRCTRG pin select bit */
#define		trciobsel0		trcpsr0_addr.bit.b4	/* TRCIOB pin select bit */
#define		trciobsel1		trcpsr0_addr.bit.b5	/* TRCIOB pin select bit */
#define		trciobsel2		trcpsr0_addr.bit.b6	/* TRCIOB pin select bit */

/*------------------------------------------------------
  Timer RC pin select register 1
------------------------------------------------------*/
union	byte_def	trcpsr1_addr;
#define		trcpsr1		trcpsr1_addr.byte

#define		trciocsel0		trcpsr1_addr.bit.b0	/* TRCIOC pin select bit */
#define		trciocsel1		trcpsr1_addr.bit.b1	/* TRCIOC pin select bit */
#define		trciocsel2		trcpsr1_addr.bit.b2	/* TRCIOC pin select bit */
#define		trciodsel0		trcpsr1_addr.bit.b4	/* TRCIOD pin select bit */
#define		trciodsel1		trcpsr1_addr.bit.b5	/* TRCIOD pin select bit */
#define		trciodsel2		trcpsr1_addr.bit.b6	/* TRCIOD pin select bit */

/*------------------------------------------------------
  UART0 pin select register
------------------------------------------------------*/
union	byte_def	u0sr_addr;
#define		u0sr		u0sr_addr.byte

#define		txd0sel0		u0sr_addr.bit.b0	/* TXD0 pin select bit */
#define		rxd0sel0		u0sr_addr.bit.b2	/* RXD0 pin select bit */
#define		clk0sel0		u0sr_addr.bit.b4	/* CLK0 pin select bit */

/*------------------------------------------------------
  UART1 pin select register
------------------------------------------------------*/
union	byte_def	u1sr_addr;
#define		u1sr		u1sr_addr.byte

#define		txd1sel0		u1sr_addr.bit.b0	/* TXD1 pin select bit */
#define		rxd1sel0		u1sr_addr.bit.b2	/* RXD1 pin select bit */
#define		clk1sel0		u1sr_addr.bit.b4	/* CLK1 pin select bit */

/*------------------------------------------------------
  UART2 pin select register 0
------------------------------------------------------*/
union	byte_def	u2sr0_addr;
#define		u2sr0		u2sr0_addr.byte

#define		txd2sel0		u2sr0_addr.bit.b0	/* TXD2/SDA2 pin select bit */
#define		txd2sel1		u2sr0_addr.bit.b1	/* TXD2/SDA2 pin select bit */
#define		rxd2sel0		u2sr0_addr.bit.b4	/* RXD2/SCL2 pin select bit */
#define		rxd2sel1		u2sr0_addr.bit.b5	/* RXD2/SCL2 pin select bit */

/*------------------------------------------------------
  UART2 pin select register 1
------------------------------------------------------*/
union	byte_def	u2sr1_addr;
#define		u2sr1		u2sr1_addr.byte

#define		clk2sel0		u2sr1_addr.bit.b0	/* CLK2 pin select bit */
#define		cts2sel0		u2sr1_addr.bit.b4	/* CTS2/RTS2 pin select bit */

/*------------------------------------------------------
  SSU/IIC pin select register
------------------------------------------------------*/
union	byte_def	ssuiicsr_addr;
#define		ssuiicsr	ssuiicsr_addr.byte

#define		iicsel		ssuiicsr_addr.bit.b0	/* SSU/I2C bus switch bit */

/*------------------------------------------------------
  INT interrupt input pin select register
------------------------------------------------------*/
union	byte_def	intsr_addr;
#define		intsr		intsr_addr.byte

#define		int1sel0		intsr_addr.bit.b1	/* INT1 pin select bit */
#define		int1sel1		intsr_addr.bit.b2	/* INT1 pin select bit */
#define		int1sel2		intsr_addr.bit.b3	/* INT1 pin select bit */

/*------------------------------------------------------
  I/O function pin select register
------------------------------------------------------*/
union	byte_def	pinsr_addr;
#define		pinsr		pinsr_addr.byte

#define		ioinsel			pinsr_addr.bit.b3	/* I/O port input function select bit */
#define		iictctwi		pinsr_addr.bit.b4	/* I2C double transfer rate select bit */
#define		iictchalf		pinsr_addr.bit.b5	/* I2C half transfer rate select bit */
#define		sdadly0			pinsr_addr.bit.b6	/* SDA digital delay select bit */
#define		sdadly1			pinsr_addr.bit.b7	/* SDA digital delay select bit */

/*------------------------------------------------------
  SS bit counter register
------------------------------------------------------*/
union	byte_def	ssbr_addr;
#define		ssbr		ssbr_addr.byte

#define		bs0				ssbr_addr.bit.b0	/* SSU data transfer length set bit */
#define		bs1				ssbr_addr.bit.b1	/* SSU data transfer length set bit */
#define		bs2				ssbr_addr.bit.b2	/* SSU data transfer length set bit */
#define		bs3				ssbr_addr.bit.b3	/* SSU data transfer length set bit */

/*------------------------------------------------------
  IIC bus transmit data register
------------------------------------------------------*/
union	byte_def	icdrt_addr;
#define		icdrt		icdrt_addr.byte

/*------------------------------------------------------
  IIC bus receive data register
------------------------------------------------------*/
union	byte_def	icdrr_addr;
#define		icdrr		icdrr_addr.byte

/*------------------------------------------------------
  SS control register H
------------------------------------------------------*/
union	byte_def	sscrh_addr;
#define		sscrh		sscrh_addr.byte

#define		cks0_sscrh		sscrh_addr.bit.b0	/* Transfer clock select bit */
#define		cks1_sscrh		sscrh_addr.bit.b1	/* Transfer clock select bit */
#define		cks2_sscrh		sscrh_addr.bit.b2	/* Transfer clock select bit */
#define		mss_sscrh		sscrh_addr.bit.b5	/* Master/Slave device select bit */
#define		rsstp_sscrh		sscrh_addr.bit.b6	/* Receive single stop bit */

/*------------------------------------------------------
  IIC bus control register 1
------------------------------------------------------*/
union	byte_def	iccr1_addr;
#define		iccr1		iccr1_addr.byte

#define		cks0_iccr1		iccr1_addr.bit.b0	/* Transmit clock select bits 3 to 0 */
#define		cks1_iccr1		iccr1_addr.bit.b1	/* Transmit clock select bits 3 to 0 */
#define		cks2_iccr1		iccr1_addr.bit.b2	/* Transmit clock select bits 3 to 0 */
#define		cks3_iccr1		iccr1_addr.bit.b3	/* Transmit clock select bits 3 to 0 */
#define		trs_iccr1		iccr1_addr.bit.b4	/* Transfer/receive select bit */
#define		mst_iccr1		iccr1_addr.bit.b5	/* Master/slave select bit */
#define		rcvd_iccr1		iccr1_addr.bit.b6	/* Receive disable bit */
#define		ice_iccr1		iccr1_addr.bit.b7	/* I2C bus interface enable bit */

/*------------------------------------------------------
  SS control register L
------------------------------------------------------*/
union	byte_def	sscrl_addr;
#define		sscrl		sscrl_addr.byte

#define		sres_sscrl		sscrl_addr.bit.b1	/* SSU control unit reset bit */
#define		solp_sscrl		sscrl_addr.bit.b4	/* SOL write protect bit */
#define		sol_sscrl		sscrl_addr.bit.b5	/* Serial data output value setting bit */

/*------------------------------------------------------
  IIC bus control register 2
------------------------------------------------------*/
union	byte_def	iccr2_addr;
#define		iccr2		iccr2_addr.byte

#define		iicrst_iccr2	iccr2_addr.bit.b1	/* I2C bus control block reset bit */
#define		sclo_iccr2		iccr2_addr.bit.b3	/* SCL monitor flag */
#define		sdaop_iccr2		iccr2_addr.bit.b4	/* SDAO write protect bit */
#define		sdao_iccr2		iccr2_addr.bit.b5	/* SDA output value control bit */
#define		scp_iccr2		iccr2_addr.bit.b6	/* Start/Stop condition generation disable bit */
#define		bbsy_iccr2		iccr2_addr.bit.b7	/* Bus busy bit */

/*------------------------------------------------------
  SS mode register
------------------------------------------------------*/
union	byte_def	ssmr_addr;
#define		ssmr		ssmr_addr.byte

#define		bc0_ssmr		ssmr_addr.bit.b0	/* Bits counter 3 to 0 */
#define		bc1_ssmr		ssmr_addr.bit.b1	/* Bits counter 3 to 0 */
#define		bc2_ssmr		ssmr_addr.bit.b2	/* Bits counter 3 to 0 */
#define		bc3_ssmr		ssmr_addr.bit.b3	/* Bits counter 3 to 0 */
#define		cphs_ssmr		ssmr_addr.bit.b5	/* SSCK clock phase select bit */
#define		cpos_ssmr		ssmr_addr.bit.b6	/* SSCK clock polarity select bit */
#define		mls_ssmr		ssmr_addr.bit.b7	/* MSB first/LSB first select bit */

/*------------------------------------------------------
  IIC bus mode register
------------------------------------------------------*/
union	byte_def	icmr_addr;
#define		icmr		icmr_addr.byte

#define		bc0_icmr		icmr_addr.bit.b0	/* Bit Counters 2 to 0 */
#define		bc1_icmr		icmr_addr.bit.b1	/* Bit Counters 2 to 0 */
#define		bc2_icmr		icmr_addr.bit.b2	/* Bit Counters 2 to 0 */
#define		bcwp_icmr		icmr_addr.bit.b3	/* BC write protect bit */
#define		wait_icmr		icmr_addr.bit.b6	/* Wait insertion bit */
#define		mls_icmr		icmr_addr.bit.b7	/* MSB-first/LSB-first select bit */

/*------------------------------------------------------
  SS Enable Register
------------------------------------------------------*/
union	byte_def	sser_addr;
#define		sser		sser_addr.byte

#define		ceie_sser		sser_addr.bit.b0	/* Conflict error interrupt enable bit */
#define		re_sser			sser_addr.bit.b3	/* Receive enable bit */
#define		te_sser			sser_addr.bit.b4	/* Transmit enable bit */
#define		rie_sser		sser_addr.bit.b5	/* Receive interrupt enable bit */
#define		teie_sser		sser_addr.bit.b6	/* Transmit end interrupt enable bit */
#define		tie_sser		sser_addr.bit.b7	/* Transmit interrupt enable bit */

/*------------------------------------------------------
  IIC bus interrupt enable register
------------------------------------------------------*/
union	byte_def	icier_addr;
#define		icier		icier_addr.byte

#define		ackbt_icier		icier_addr.bit.b0	/* Transmit acknowledge select bit */
#define		ackbr_icier		icier_addr.bit.b1	/* Receive acknowledge bit */
#define		acke_icier		icier_addr.bit.b2	/* Acknowledge bit detection select bit */
#define		stie_icier		icier_addr.bit.b3	/* Stop condition detection interrupt enable bit */
#define		nakie_icier		icier_addr.bit.b4	/* NACK receive interrupt enable bit */
#define		rie_icier		icier_addr.bit.b5	/* Receive interrupt enable bit */
#define		teie_icier		icier_addr.bit.b6	/* Transmit end interrupt enable bit */
#define		tie_icier		icier_addr.bit.b7	/* Transmit interrupt enable bit */

/*------------------------------------------------------
  SS status register
------------------------------------------------------*/
union	byte_def	sssr_addr;
#define		sssr		sssr_addr.byte

#define		ce_sssr			sssr_addr.bit.b0	/* Conflict error flag */
#define		orer_sssr		sssr_addr.bit.b2	/* Overrun error flag */
#define		rdrf_sssr		sssr_addr.bit.b5	/* Receive data register full flag */
#define		tend_sssr		sssr_addr.bit.b6	/* Transmit end flag */
#define		tdre_sssr		sssr_addr.bit.b7	/* Transmit data empty flag */

/*------------------------------------------------------
  IIC bus status register
------------------------------------------------------*/
union	byte_def	icsr_addr;
#define		icsr		icsr_addr.byte

#define		adz_icsr		icsr_addr.bit.b0	/* General call address recognition flag */
#define		aas_icsr		icsr_addr.bit.b1	/* Slave address recognition flag */
#define		al_icsr			icsr_addr.bit.b2	/* Arbitration lost flag/overrun error flag */
#define		stop_icsr		icsr_addr.bit.b3	/* Stop condition detection flag */
#define		nackf_icsr		icsr_addr.bit.b4	/* No acknowledge detection flag */
#define		rdrf_icsr		icsr_addr.bit.b5	/* Receive data register full flag */
#define		tend_icsr		icsr_addr.bit.b6	/* Transmit end flag */
#define		tdre_icsr		icsr_addr.bit.b7	/* Transmit data empty flag */

/*------------------------------------------------------
  SS mode register 2
------------------------------------------------------*/
union	byte_def	ssmr2_addr;
#define		ssmr2		ssmr2_addr.byte

#define		ssums_ssmr2		ssmr2_addr.bit.b0	/* SSU mode select bit */
#define		csos_ssmr2		ssmr2_addr.bit.b1	/* SCS pin open drain output select bit */
#define		soos_ssmr2		ssmr2_addr.bit.b2	/* Serial data pin open output drain select bit */
#define		sckos_ssmr2		ssmr2_addr.bit.b3	/* SSCK pin open drain output select bit */
#define		css0_ssmr2		ssmr2_addr.bit.b4	/* SCS pin select bit */
#define		css1_ssmr2		ssmr2_addr.bit.b5	/* SCS pin select bit */
#define		scks_ssmr2		ssmr2_addr.bit.b6	/* SSCK pin select bit */
#define		bide_ssmr2		ssmr2_addr.bit.b7	/* Bidirectional mode enable bit */

/*------------------------------------------------------
  Slave address register
------------------------------------------------------*/
union	byte_def	sar_addr;
#define		sar			sar_addr.byte

#define		fs_sar			sar_addr.bit.b0		/* Format select bit */
#define		sva0_sar		sar_addr.bit.b1		/* Slave addresses 6 to 0 */
#define		sva1_sar		sar_addr.bit.b2		/* Slave addresses 6 to 0 */
#define		sva2_sar		sar_addr.bit.b3		/* Slave addresses 6 to 0 */
#define		sva3_sar		sar_addr.bit.b4		/* Slave addresses 6 to 0 */
#define		sva4_sar		sar_addr.bit.b5		/* Slave addresses 6 to 0 */
#define		sva5_sar		sar_addr.bit.b6		/* Slave addresses 6 to 0 */
#define		sva6_sar		sar_addr.bit.b7		/* Slave addresses 6 to 0 */

/*------------------------------------------------------
  Flash memory status register
------------------------------------------------------*/
union	byte_def	fst_addr;
#define		fst			fst_addr.byte

#define		rdysti			fst_addr.bit.b0		/* Flash ready status interrupt request flag */
#define		bsyaei			fst_addr.bit.b1		/* Flash access error interrupt request flag */
#define		lbdata			fst_addr.bit.b2		/* LBDATA monitor flag */
#define		fst4			fst_addr.bit.b4		/* Program error flag */
#define		fst5			fst_addr.bit.b5		/* Erase error/blank check error flag */
#define		fst6			fst_addr.bit.b6		/* Erase-suspend status flag */
#define		fst7			fst_addr.bit.b7		/* Ready/Busy status flag */

/*------------------------------------------------------
  Flash Memory Control Register 0
------------------------------------------------------*/
union	byte_def	fmr0_addr;
#define		fmr0		fmr0_addr.byte

#define		fmr01			fmr0_addr.bit.b1	/* CPU rewrite mode select bit */
#define		fmr02			fmr0_addr.bit.b2	/* EW1 mode select bit */
#define		fmstp			fmr0_addr.bit.b3	/* Flash memory stop bit */
#define		cmdrst			fmr0_addr.bit.b4	/* Erase/Write sequence reset bit */
#define		cmderie			fmr0_addr.bit.b5	/* Erase/Write error interrupt enable bit */
#define		bsyaeie			fmr0_addr.bit.b6	/* Flash access error interrupt enable bit */
#define		rdystie			fmr0_addr.bit.b7	/* Flash ready status interrupt enable bit */

/*------------------------------------------------------
  Flash Memory Control Register 1
------------------------------------------------------*/
union	byte_def	fmr1_addr;
#define		fmr1		fmr1_addr.byte

#define		fmr13			fmr1_addr.bit.b3	/* Lock bit disable select bit */
#define		fmr14			fmr1_addr.bit.b4	/* Data flash block A rewrite disable bit */
#define		fmr15			fmr1_addr.bit.b5	/* Data flash block B rewrite disable bit */
#define		fmr16			fmr1_addr.bit.b6	/* Data flash block C rewrite disable bit */
#define		fmr17			fmr1_addr.bit.b7	/* Data flash block D rewrite disable bit */

/*------------------------------------------------------
  Flash Memory Control Register 2
------------------------------------------------------*/
union	byte_def	fmr2_addr;
#define		fmr2		fmr2_addr.byte

#define		fmr20			fmr2_addr.bit.b0	/* Erase-suspend enable bit */
#define		fmr21			fmr2_addr.bit.b1	/* Erase-suspend request bit */
#define		fmr22			fmr2_addr.bit.b2	/* Interrupt request suspend request enable bit */
#define		fmr27			fmr2_addr.bit.b7	/* Low-consumption-current read mode enable bit */

/*------------------------------------------------------
  Address match interrupt enable register 0
------------------------------------------------------*/
union	byte_def	aier0_addr;
#define		aier0		aier0_addr.byte

#define		aier00			aier0_addr.bit.b0	/* Address match interrupt 0 enable bit */

/*------------------------------------------------------
  Address match interrupt enable register 1
------------------------------------------------------*/
union	byte_def	aier1_addr;
#define		aier1		aier1_addr.byte

#define		aier10			aier1_addr.bit.b0	/* Address match interrupt 1 enable bit */

/*------------------------------------------------------
  Pull-Up Control Register 0
------------------------------------------------------*/
union	byte_def	pur0_addr;
#define		pur0		pur0_addr.byte

#define		pu00			pur0_addr.bit.b0	/* P0_0 to P0_3 pull-up */
#define		pu01			pur0_addr.bit.b1	/* P0_4 to P0_7 pull-up */
#define		pu02			pur0_addr.bit.b2	/* P1_0 to P1_3 pull-up */
#define		pu03			pur0_addr.bit.b3	/* P1_4 to P1_7 pull-up */
#define		pu04			pur0_addr.bit.b4	/* P2_0 to P2_2 pull-up */
#define		pu06			pur0_addr.bit.b6	/* P3_1 to P3_3 pull-up */
#define		pu07			pur0_addr.bit.b7	/* P3_4AP3_5AP3_7 pull-up */

/*------------------------------------------------------
  Pull-Up Control Register 1
------------------------------------------------------*/
union	byte_def	pur1_addr;
#define		pur1		pur1_addr.byte

#define		pu11			pur1_addr.bit.b1	/* P4_5 to P4_7 pull-up */

/*------------------------------------------------------
  Port P1 drive capacity control register
------------------------------------------------------*/
union	byte_def	p1drr_addr;
#define		p1drr		p1drr_addr.byte

#define		p1drr0			p1drr_addr.bit.b0	/* P1_0 drive capacity */
#define		p1drr1			p1drr_addr.bit.b1	/* P1_1 drive capacity */
#define		p1drr2			p1drr_addr.bit.b2	/* P1_2 drive capacity */
#define		p1drr3			p1drr_addr.bit.b3	/* P1_3 drive capacity */
#define		p1drr4			p1drr_addr.bit.b4	/* P1_4 drive capacity */
#define		p1drr5			p1drr_addr.bit.b5	/* P1_5 drive capacity */
#define		p1drr6			p1drr_addr.bit.b6	/* P1_6 drive capacity */
#define		p1drr7			p1drr_addr.bit.b7	/* P1_7 drive capacity */

/*------------------------------------------------------
  Port P2 drive capacity control register
------------------------------------------------------*/
union	byte_def	p2drr_addr;
#define		p2drr		p2drr_addr.byte

#define		p2drr0			p2drr_addr.bit.b0	/* P2_0 drive capacity */
#define		p2drr1			p2drr_addr.bit.b1	/* P2_1 drive capacity */
#define		p2drr2			p2drr_addr.bit.b2	/* P2_2 drive capacity */

/*------------------------------------------------------
  Drive capacity control register 0
------------------------------------------------------*/
union	byte_def	drr0_addr;
#define		drr0		drr0_addr.byte

#define		drr00			drr0_addr.bit.b0	/* P0_0 to P0_3 drive capacity */
#define		drr01			drr0_addr.bit.b1	/* P0_4 to P0_7 drive capacity */
#define		drr06			drr0_addr.bit.b6	/* P3_1AP3_3 drive capacity */
#define		drr07			drr0_addr.bit.b7	/* P3_4AP3_5AP3_7 drive capacity */

/*------------------------------------------------------
  Drive capacity control register 1
------------------------------------------------------*/
union	byte_def	drr1_addr;
#define		drr1		drr1_addr.byte

#define		drr11			drr1_addr.bit.b1	/* P4_5 to P4_7 drive capacity */

/*------------------------------------------------------
  Input threshold control register 0
------------------------------------------------------*/
union	byte_def	vlt0_addr;
#define		vlt0		vlt0_addr.byte

#define		vlt00			vlt0_addr.bit.b0	/* P0 input level select bit */
#define		vlt01			vlt0_addr.bit.b1	/* P0 input level select bit */
#define		vlt02			vlt0_addr.bit.b2	/* P1 input level select bit */
#define		vlt03			vlt0_addr.bit.b3	/* P1 input level select bit */
#define		vlt04			vlt0_addr.bit.b4	/* P2_0 to P2_2 input level select bit */
#define		vlt05			vlt0_addr.bit.b5	/* P2_0 to P2_2 input level select bit */
#define		vlt06			vlt0_addr.bit.b6	/* P3_1, P3_3 to P3_5, P3_7 input level select bit */
#define		vlt07			vlt0_addr.bit.b7	/* P3_1, P3_3 to P3_5, P3_7 input level select bit */

/*------------------------------------------------------
  Input threshold control register 1
------------------------------------------------------*/
union	byte_def	vlt1_addr;
#define		vlt1		vlt1_addr.byte

#define		vlt10			vlt1_addr.bit.b0	/* P4_2, P4_5 to P4_7 input level select bit */
#define		vlt11			vlt1_addr.bit.b1	/* P4_2, P4_5 to P4_7 input level select bit */

/*------------------------------------------------------
  Comparator B Control Register 0
------------------------------------------------------*/
union	byte_def	intcmp_addr;
#define		intcmp		intcmp_addr.byte

#define		int1cp0			intcmp_addr.bit.b0	/* Comparator B1 operation enable bit */
#define		int1cout		intcmp_addr.bit.b3	/* Comparator B1 monitor flag */
#define		int3cp0			intcmp_addr.bit.b4	/* Comparator B3 operation enable bit */
#define		int3cout		intcmp_addr.bit.b7	/* Comparator B3 monitor flag */

/*------------------------------------------------------
  External Input Enable Register 0
------------------------------------------------------*/
union	byte_def	inten_addr;
#define		inten		inten_addr.byte

#define		int0en			inten_addr.bit.b0	/* INT0 input enable bit */
#define		int0pl			inten_addr.bit.b1	/* INT0 input polarity select bit */
#define		int1en			inten_addr.bit.b2	/* INT1 input enable bit */
#define		int1pl			inten_addr.bit.b3	/* INT1 input polarity select bit */
#define		int3en			inten_addr.bit.b6	/* INT3 input enable bit */
#define		int3pl			inten_addr.bit.b7	/* INT3 input polarity select bit */

/*------------------------------------------------------
  INT Input Filter Select Register 0
------------------------------------------------------*/
union	byte_def	intf_addr;
#define		intf		intf_addr.byte

#define		int0f0			intf_addr.bit.b0	/* INT0 input filter select bit */
#define		int0f1			intf_addr.bit.b1	/* INT0 input filter select bit */
#define		int1f0			intf_addr.bit.b2	/* INT1 input filter select bit */
#define		int1f1			intf_addr.bit.b3	/* INT1 input filter select bit */
#define		int3f0			intf_addr.bit.b6	/* INT3 input filter select bit */
#define		int3f1			intf_addr.bit.b7	/* INT3 input filter select bit */

/*------------------------------------------------------
  Key Input Enable Register 0
------------------------------------------------------*/
union	byte_def	kien_addr;
#define		kien		kien_addr.byte

#define		ki0en			kien_addr.bit.b0	/* KI0 input enable bit */
#define		ki0pl			kien_addr.bit.b1	/* KI0 input polarity select bit */
#define		ki1en			kien_addr.bit.b2	/* KI1 input enable bit */
#define		ki1pl			kien_addr.bit.b3	/* KI1 input polarity select bit */
#define		ki2en			kien_addr.bit.b4	/* KI2 input enable bit */
#define		ki2pl			kien_addr.bit.b5	/* KI2 input polarity select bit */
#define		ki3en			kien_addr.bit.b6	/* KI3 input enable bit */
#define		ki3pl			kien_addr.bit.b7	/* KI3 input polarity select bit */

/*------------------------------------------------------
  DTC Transfer Vector Area 0 (INT0)
------------------------------------------------------*/
union	byte_def	dtcvct0_addr;
#define		dtcvct0		dtcvct0_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 1 (INT1)
------------------------------------------------------*/
union	byte_def	dtcvct1_addr;
#define		dtcvct1		dtcvct1_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 2
------------------------------------------------------*/
union	byte_def	dtcvct2_addr;
#define		dtcvct2		dtcvct2_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 3 (INT3)
------------------------------------------------------*/
union	byte_def	dtcvct3_addr;
#define		dtcvct3		dtcvct3_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 4
------------------------------------------------------*/
union	byte_def	dtcvct4_addr;
#define		dtcvct4		dtcvct4_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 5
------------------------------------------------------*/
union	byte_def	dtcvct5_addr;
#define		dtcvct5		dtcvct5_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 6
------------------------------------------------------*/
union	byte_def	dtcvct6_addr;
#define		dtcvct6		dtcvct6_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 7
------------------------------------------------------*/
union	byte_def	dtcvct7_addr;
#define		dtcvct7		dtcvct7_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 8 (Key Input)
------------------------------------------------------*/
union	byte_def	dtcvct8_addr;
#define		dtcvct8		dtcvct8_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 9 (A-D)
------------------------------------------------------*/
union	byte_def	dtcvct9_addr;
#define		dtcvct9		dtcvct9_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 10 (Uart0 Receive)
------------------------------------------------------*/
union	byte_def	dtcvct10_addr;
#define		dtcvct10	dtcvct10_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 11 (Uart0 Transfer)
------------------------------------------------------*/
union	byte_def	dtcvct11_addr;
#define		dtcvct11	dtcvct11_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 12 (Uart1 Receive)
------------------------------------------------------*/
union	byte_def	dtcvct12_addr;
#define		dtcvct12	dtcvct12_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 13 (Uart1 Transfer)
------------------------------------------------------*/
union	byte_def	dtcvct13_addr;
#define		dtcvct13	dtcvct13_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 14 (Uart2 Receive)
------------------------------------------------------*/
union	byte_def	dtcvct14_addr;
#define		dtcvct14	dtcvct14_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 15 (Uart2 Transfer)
------------------------------------------------------*/
union	byte_def	dtcvct15_addr;
#define		dtcvct15	dtcvct15_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 16 (SSU/I2C Receive data register full)
------------------------------------------------------*/
union	byte_def	dtcvct16_addr;
#define		dtcvct16	dtcvct16_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 17 (SSU/I2C Transmit data empty)
------------------------------------------------------*/
union	byte_def	dtcvct17_addr;
#define		dtcvct17	dtcvct17_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 18 (Voltage monitor circuit 2)
------------------------------------------------------*/
union	byte_def	dtcvct18_addr;
#define		dtcvct18	dtcvct18_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 19 (Voltage monitor circuit 1)
------------------------------------------------------*/
union	byte_def	dtcvct19_addr;
#define		dtcvct19	dtcvct19_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 20
------------------------------------------------------*/
union	byte_def	dtcvct20_addr;
#define		dtcvct20	dtcvct20_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 21
------------------------------------------------------*/
union	byte_def	dtcvct21_addr;
#define		dtcvct21	dtcvct21_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 22 (TRC Input capture / compare match A)
------------------------------------------------------*/
union	byte_def	dtcvct22_addr;
#define		dtcvct22	dtcvct22_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 23 (TRC Input capture / compare match B)
------------------------------------------------------*/
union	byte_def	dtcvct23_addr;
#define		dtcvct23	dtcvct23_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 24 (TRC Input capture / compare match C)
------------------------------------------------------*/
union	byte_def	dtcvct24_addr;
#define		dtcvct24	dtcvct24_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 25 (TRC Input capture / compare match D)
------------------------------------------------------*/
union	byte_def	dtcvct25_addr;
#define		dtcvct25	dtcvct25_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 26
------------------------------------------------------*/
union	byte_def	dtcvct26_addr;
#define		dtcvct26	dtcvct26_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 27
------------------------------------------------------*/
union	byte_def	dtcvct27_addr;
#define		dtcvct27	dtcvct27_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 28
------------------------------------------------------*/
union	byte_def	dtcvct28_addr;
#define		dtcvct28	dtcvct28_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 29
------------------------------------------------------*/
union	byte_def	dtcvct29_addr;
#define		dtcvct29	dtcvct29_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 30
------------------------------------------------------*/
union	byte_def	dtcvct30_addr;
#define		dtcvct30	dtcvct30_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 31
------------------------------------------------------*/
union	byte_def	dtcvct31_addr;
#define		dtcvct31	dtcvct31_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 32
------------------------------------------------------*/
union	byte_def	dtcvct32_addr;
#define		dtcvct32	dtcvct32_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 33
------------------------------------------------------*/
union	byte_def	dtcvct33_addr;
#define		dtcvct33	dtcvct33_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 34
------------------------------------------------------*/
union	byte_def	dtcvct34_addr;
#define		dtcvct34	dtcvct34_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 35
------------------------------------------------------*/
union	byte_def	dtcvct35_addr;
#define		dtcvct35	dtcvct35_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 36
------------------------------------------------------*/
union	byte_def	dtcvct36_addr;
#define		dtcvct36	dtcvct36_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 37
------------------------------------------------------*/
union	byte_def	dtcvct37_addr;
#define		dtcvct37	dtcvct37_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 38
------------------------------------------------------*/
union	byte_def	dtcvct38_addr;
#define		dtcvct38	dtcvct38_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 39
------------------------------------------------------*/
union	byte_def	dtcvct39_addr;
#define		dtcvct39	dtcvct39_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 40
------------------------------------------------------*/
union	byte_def	dtcvct40_addr;
#define		dtcvct40	dtcvct40_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 41
------------------------------------------------------*/
union	byte_def	dtcvct41_addr;
#define		dtcvct41	dtcvct41_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 42 (TRE)
------------------------------------------------------*/
union	byte_def	dtcvct42_addr;
#define		dtcvct42	dtcvct42_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 43
------------------------------------------------------*/
union	byte_def	dtcvct43_addr;
#define		dtcvct43	dtcvct43_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 44
------------------------------------------------------*/
union	byte_def	dtcvct44_addr;
#define		dtcvct44	dtcvct44_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 45
------------------------------------------------------*/
union	byte_def	dtcvct45_addr;
#define		dtcvct45	dtcvct45_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 46
------------------------------------------------------*/
union	byte_def	dtcvct46_addr;
#define		dtcvct46	dtcvct46_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 47
------------------------------------------------------*/
union	byte_def	dtcvct47_addr;
#define		dtcvct47	dtcvct47_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 48
------------------------------------------------------*/
union	byte_def	dtcvct48_addr;
#define		dtcvct48	dtcvct48_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 49 (TRA)
------------------------------------------------------*/
union	byte_def	dtcvct49_addr;
#define		dtcvct49	dtcvct49_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 50
------------------------------------------------------*/
union	byte_def	dtcvct50_addr;
#define		dtcvct50	dtcvct50_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 51 (TRB)
------------------------------------------------------*/
union	byte_def	dtcvct51_addr;
#define		dtcvct51	dtcvct51_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area 52 (Flash memory ready)
------------------------------------------------------*/
union	byte_def	dtcvct52_addr;
#define		dtcvct52	dtcvct52_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area53
------------------------------------------------------*/
union	byte_def	dtcvct53_addr;
#define		dtcvct53		dtcvct53_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area54
------------------------------------------------------*/
union	byte_def	dtcvct54_addr;
#define		dtcvct54		dtcvct54_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area55
------------------------------------------------------*/
union	byte_def	dtcvct55_addr;
#define		dtcvct55		dtcvct55_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area56
------------------------------------------------------*/
union	byte_def	dtcvct56_addr;
#define		dtcvct56		dtcvct56_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area57
------------------------------------------------------*/
union	byte_def	dtcvct57_addr;
#define		dtcvct57		dtcvct57_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area58
------------------------------------------------------*/
union	byte_def	dtcvct58_addr;
#define		dtcvct58		dtcvct58_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area59
------------------------------------------------------*/
union	byte_def	dtcvct59_addr;
#define		dtcvct59		dtcvct59_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area60
------------------------------------------------------*/
union	byte_def	dtcvct60_addr;
#define		dtcvct60		dtcvct60_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area61
------------------------------------------------------*/
union	byte_def	dtcvct61_addr;
#define		dtcvct61		dtcvct61_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area62
------------------------------------------------------*/
union	byte_def	dtcvct62_addr;
#define		dtcvct62		dtcvct62_addr.byte

/*------------------------------------------------------
  DTC Transfer Vector Area63
------------------------------------------------------*/
union	byte_def	dtcvct63_addr;
#define		dtcvct63		dtcvct63_addr.byte

/*------------------------------------------------------
  DTC Control register 0
------------------------------------------------------*/
union	byte_def	dtccr0_addr;
#define		dtccr0		dtccr0_addr.byte

#define		mode_dtccr0		dtccr0_addr.bit.b0	/* Transfer mode select bit */
#define		rptsel_dtccr0	dtccr0_addr.bit.b1	/* Repeat area select bit */
#define		samod_dtccr0	dtccr0_addr.bit.b2	/* Source address control bit */
#define		damod_dtccr0	dtccr0_addr.bit.b3	/* Destination address control bit */
#define		chne_dtccr0		dtccr0_addr.bit.b4	/* Chain transfer enable bit */
#define		rptint_dtccr0	dtccr0_addr.bit.b5	/* Repeat mode interrupt enable bit */

/*------------------------------------------------------
  DTC Block size register 0
------------------------------------------------------*/
union	byte_def	dtbls0_addr;
#define		dtbls0		dtbls0_addr.byte

/*------------------------------------------------------
  DTC Transfer count register 0
------------------------------------------------------*/
union	byte_def	dtcct0_addr;
#define		dtcct0		dtcct0_addr.byte

/*------------------------------------------------------
  DTC Transfer count reload register 0
------------------------------------------------------*/
union	byte_def	dtrld0_addr;
#define		dtrld0		dtrld0_addr.byte

/*------------------------------------------------------
  DTC Source address register 0
------------------------------------------------------*/
unsigned short	dtsar0_addr;
#define		dtsar0		dtsar0_addr

/*------------------------------------------------------
  DTC Destination register 0
------------------------------------------------------*/
unsigned short	dtdar0_addr;
#define		dtdar0		dtdar0_addr

/*------------------------------------------------------
  DTC Control register 1
------------------------------------------------------*/
union	byte_def	dtccr1_addr;
#define		dtccr1		dtccr1_addr.byte

#define		mode_dtccr1		dtccr1_addr.bit.b0	/* Transfer mode select bit */
#define		rptsel_dtccr1	dtccr1_addr.bit.b1	/* Repeat area select bit */
#define		samod_dtccr1	dtccr1_addr.bit.b2	/* Source address control bit */
#define		damod_dtccr1	dtccr1_addr.bit.b3	/* Destination address control bit */
#define		chne_dtccr1		dtccr1_addr.bit.b4	/* Chain transfer enable bit */
#define		rptint_dtccr1	dtccr1_addr.bit.b5	/* Repeat mode interrupt enable bit */

/*------------------------------------------------------
  DTC Block size register 1
------------------------------------------------------*/
union	byte_def	dtbls1_addr;
#define		dtbls1		dtbls1_addr.byte

/*------------------------------------------------------
  DTC Transfer count register 1
------------------------------------------------------*/
union	byte_def	dtcct1_addr;
#define		dtcct1		dtcct1_addr.byte

/*------------------------------------------------------
  DTC Transfer count reload register 1
------------------------------------------------------*/
union	byte_def	dtrld1_addr;
#define		dtrld1		dtrld1_addr.byte

/*------------------------------------------------------
  DTC Source address register 1
------------------------------------------------------*/
unsigned short	dtsar1_addr;
#define		dtsar1		dtsar1_addr

/*------------------------------------------------------
  DTC Destination register 1
------------------------------------------------------*/
unsigned short	dtdar1_addr;
#define		dtdar1		dtdar1_addr

/*------------------------------------------------------
  DTC Control register 2
------------------------------------------------------*/
union	byte_def	dtccr2_addr;
#define		dtccr2		dtccr2_addr.byte

#define		mode_dtccr2		dtccr2_addr.bit.b0	/* Transfer mode select bit */
#define		rptsel_dtccr2	dtccr2_addr.bit.b1	/* Repeat area select bit */
#define		samod_dtccr2	dtccr2_addr.bit.b2	/* Source address control bit */
#define		damod_dtccr2	dtccr2_addr.bit.b3	/* Destination address control bit */
#define		chne_dtccr2		dtccr2_addr.bit.b4	/* Chain transfer enable bit */
#define		rptint_dtccr2	dtccr2_addr.bit.b5	/* Repeat mode interrupt enable bit */

/*------------------------------------------------------
  DTC Block size register 2
------------------------------------------------------*/
union	byte_def	dtbls2_addr;
#define		dtbls2		dtbls2_addr.byte

/*------------------------------------------------------
  DTC Transfer count register 2
------------------------------------------------------*/
union	byte_def	dtcct2_addr;
#define		dtcct2		dtcct2_addr.byte

/*------------------------------------------------------
  DTC Transfer count reload register 2
------------------------------------------------------*/
union	byte_def	dtrld2_addr;
#define		dtrld2		dtrld2_addr.byte

/*------------------------------------------------------
  DTC Source address register 2
------------------------------------------------------*/
unsigned short	dtsar2_addr;
#define		dtsar2		dtsar2_addr

/*------------------------------------------------------
  DTC Destination register 2
------------------------------------------------------*/
unsigned short	dtdar2_addr;
#define		dtdar2		dtdar2_addr

/*------------------------------------------------------
  DTC Control register 3
------------------------------------------------------*/
union	byte_def	dtccr3_addr;
#define		dtccr3		dtccr3_addr.byte

#define		mode_dtccr3		dtccr3_addr.bit.b0	/* Transfer mode select bit */
#define		rptsel_dtccr3	dtccr3_addr.bit.b1	/* Repeat area select bit */
#define		samod_dtccr3	dtccr3_addr.bit.b2	/* Source address control bit */
#define		damod_dtccr3	dtccr3_addr.bit.b3	/* Destination address control bit */
#define		chne_dtccr3		dtccr3_addr.bit.b4	/* Chain transfer enable bit */
#define		rptint_dtccr3	dtccr3_addr.bit.b5	/* Repeat mode interrupt enable bit */

/*------------------------------------------------------
  DTC Block size register 3
------------------------------------------------------*/
union	byte_def	dtbls3_addr;
#define		dtbls3		dtbls3_addr.byte

/*------------------------------------------------------
  DTC Transfer count register 3
------------------------------------------------------*/
union	byte_def	dtcct3_addr;
#define		dtcct3		dtcct3_addr.byte

/*------------------------------------------------------
  DTC Transfer count reload register 3
------------------------------------------------------*/
union	byte_def	dtrld3_addr;
#define		dtrld3		dtrld3_addr.byte

/*------------------------------------------------------
  DTC Source address register 3
------------------------------------------------------*/
unsigned short	dtsar3_addr;
#define		dtsar3		dtsar3_addr

/*------------------------------------------------------
  DTC Destination register 3
------------------------------------------------------*/
unsigned short	dtdar3_addr;
#define		dtdar3		dtdar3_addr

/*------------------------------------------------------
  DTC Control register 4
------------------------------------------------------*/
union	byte_def	dtccr4_addr;
#define		dtccr4		dtccr4_addr.byte

#define		mode_dtccr4		dtccr4_addr.bit.b0	/* Transfer mode select bit */
#define		rptsel_dtccr4	dtccr4_addr.bit.b1	/* Repeat area select bit */
#define		samod_dtccr4	dtccr4_addr.bit.b2	/* Source address control bit */
#define		damod_dtccr4	dtccr4_addr.bit.b3	/* Destination address control bit */
#define		chne_dtccr4		dtccr4_addr.bit.b4	/* Chain transfer enable bit */
#define		rptint_dtccr4	dtccr4_addr.bit.b5	/* Repeat mode interrupt enable bit */

/*------------------------------------------------------
  DTC Block size register 4
------------------------------------------------------*/
union	byte_def	dtbls4_addr;
#define		dtbls4		dtbls4_addr.byte

/*------------------------------------------------------
  DTC Transfer count register 4
------------------------------------------------------*/
union	byte_def	dtcct4_addr;
#define		dtcct4		dtcct4_addr.byte

/*------------------------------------------------------
  DTC Transfer count reload register 4
------------------------------------------------------*/
union	byte_def	dtrld4_addr;
#define		dtrld4		dtrld4_addr.byte

/*------------------------------------------------------
  DTC Source address register 4
------------------------------------------------------*/
unsigned short	dtsar4_addr;
#define		dtsar4		dtsar4_addr

/*------------------------------------------------------
  DTC Destination register 4
------------------------------------------------------*/
unsigned short	dtdar4_addr;
#define		dtdar4		dtdar4_addr

/*------------------------------------------------------
  DTC Control register 5
------------------------------------------------------*/
union	byte_def	dtccr5_addr;
#define		dtccr5		dtccr5_addr.byte

#define		mode_dtccr5		dtccr5_addr.bit.b0	/* Transfer mode select bit */
#define		rptsel_dtccr5	dtccr5_addr.bit.b1	/* Repeat area select bit */
#define		samod_dtccr5	dtccr5_addr.bit.b2	/* Source address control bit */
#define		damod_dtccr5	dtccr5_addr.bit.b3	/* Destination address control bit */
#define		chne_dtccr5		dtccr5_addr.bit.b4	/* Chain transfer enable bit */
#define		rptint_dtccr5	dtccr5_addr.bit.b5	/* Repeat mode interrupt enable bit */

/*------------------------------------------------------
  DTC Block size register 5
------------------------------------------------------*/
union	byte_def	dtbls5_addr;
#define		dtbls5		dtbls5_addr.byte

/*------------------------------------------------------
  DTC Transfer count register 5
------------------------------------------------------*/
union	byte_def	dtcct5_addr;
#define		dtcct5		dtcct5_addr.byte

/*------------------------------------------------------
  DTC Transfer count reload register 5
------------------------------------------------------*/
union	byte_def	dtrld5_addr;
#define		dtrld5		dtrld5_addr.byte

/*------------------------------------------------------
  DTC Source address register 5
------------------------------------------------------*/
unsigned short	dtsar5_addr;
#define		dtsar5		dtsar5_addr

/*------------------------------------------------------
  DTC Destination register 5
------------------------------------------------------*/
unsigned short	dtdar5_addr;
#define		dtdar5		dtdar5_addr

/*------------------------------------------------------
  DTC Control register 6
------------------------------------------------------*/
union	byte_def	dtccr6_addr;
#define		dtccr6		dtccr6_addr.byte

#define		mode_dtccr6		dtccr6_addr.bit.b0	/* Transfer mode select bit */
#define		rptsel_dtccr6	dtccr6_addr.bit.b1	/* Repeat area select bit */
#define		samod_dtccr6	dtccr6_addr.bit.b2	/* Source address control bit */
#define		damod_dtccr6	dtccr6_addr.bit.b3	/* Destination address control bit */
#define		chne_dtccr6		dtccr6_addr.bit.b4	/* Chain transfer enable bit */
#define		rptint_dtccr6	dtccr6_addr.bit.b5	/* Repeat mode interrupt enable bit */

/*------------------------------------------------------
  DTC Block size register 6
------------------------------------------------------*/
union	byte_def	dtbls6_addr;
#define		dtbls6		dtbls6_addr.byte

/*------------------------------------------------------
  DTC Transfer count register 6
------------------------------------------------------*/
union	byte_def	dtcct6_addr;
#define		dtcct6		dtcct6_addr.byte

/*------------------------------------------------------
  DTC Transfer count reload register 6
------------------------------------------------------*/
union	byte_def	dtrld6_addr;
#define		dtrld6		dtrld6_addr.byte

/*------------------------------------------------------
  DTC Source address register 6
------------------------------------------------------*/
unsigned short	dtsar6_addr;
#define		dtsar6		dtsar6_addr

/*------------------------------------------------------
  DTC Destination register 6
------------------------------------------------------*/
unsigned short	dtdar6_addr;
#define		dtdar6		dtdar6_addr

/*------------------------------------------------------
  DTC Control register 7
------------------------------------------------------*/
union	byte_def	dtccr7_addr;
#define		dtccr7		dtccr7_addr.byte

#define		mode_dtccr7		dtccr7_addr.bit.b0	/* Transfer mode select bit */
#define		rptsel_dtccr7	dtccr7_addr.bit.b1	/* Repeat area select bit */
#define		samod_dtccr7	dtccr7_addr.bit.b2	/* Source address control bit */
#define		damod_dtccr7	dtccr7_addr.bit.b3	/* Destination address control bit */
#define		chne_dtccr7		dtccr7_addr.bit.b4	/* Chain transfer enable bit */
#define		rptint_dtccr7	dtccr7_addr.bit.b5	/* Repeat mode interrupt enable bit */

/*------------------------------------------------------
  DTC Block size register 7
------------------------------------------------------*/
union	byte_def	dtbls7_addr;
#define		dtbls7		dtbls7_addr.byte

/*------------------------------------------------------
  DTC Transfer count register 7
------------------------------------------------------*/
union	byte_def	dtcct7_addr;
#define		dtcct7		dtcct7_addr.byte

/*------------------------------------------------------
  DTC Transfer count reload register 7
------------------------------------------------------*/
union	byte_def	dtrld7_addr;
#define		dtrld7		dtrld7_addr.byte

/*------------------------------------------------------
  DTC Source address register 7
------------------------------------------------------*/
unsigned short	dtsar7_addr;
#define		dtsar7		dtsar7_addr

/*------------------------------------------------------
  DTC Destination register 7
------------------------------------------------------*/
unsigned short	dtdar7_addr;
#define		dtdar7		dtdar7_addr

/*------------------------------------------------------
  DTC Control register 8
------------------------------------------------------*/
union	byte_def	dtccr8_addr;
#define		dtccr8		dtccr8_addr.byte

#define		mode_dtccr8		dtccr8_addr.bit.b0	/* Transfer mode select bit */
#define		rptsel_dtccr8	dtccr8_addr.bit.b1	/* Repeat area select bit */
#define		samod_dtccr8	dtccr8_addr.bit.b2	/* Source address control bit */
#define		damod_dtccr8	dtccr8_addr.bit.b3	/* Destination address control bit */
#define		chne_dtccr8		dtccr8_addr.bit.b4	/* Chain transfer enable bit */
#define		rptint_dtccr8	dtccr8_addr.bit.b5	/* Repeat mode interrupt enable bit */

/*------------------------------------------------------
  DTC Block size register 8
------------------------------------------------------*/
union	byte_def	dtbls8_addr;
#define		dtbls8		dtbls8_addr.byte

/*------------------------------------------------------
  DTC Transfer count register 8
------------------------------------------------------*/
union	byte_def	dtcct8_addr;
#define		dtcct8		dtcct8_addr.byte

/*------------------------------------------------------
  DTC Transfer count reload register 8
------------------------------------------------------*/
union	byte_def	dtrld8_addr;
#define		dtrld8		dtrld8_addr.byte

/*------------------------------------------------------
  DTC Source address register 8
------------------------------------------------------*/
unsigned short	dtsar8_addr;
#define		dtsar8		dtsar8_addr

/*------------------------------------------------------
  DTC Destination register 8
------------------------------------------------------*/
unsigned short	dtdar8_addr;
#define		dtdar8		dtdar8_addr

/*------------------------------------------------------
  DTC Control register 9
------------------------------------------------------*/
union	byte_def	dtccr9_addr;
#define		dtccr9		dtccr9_addr.byte

#define		mode_dtccr9		dtccr9_addr.bit.b0	/* Transfer mode select bit */
#define		rptsel_dtccr9	dtccr9_addr.bit.b1	/* Repeat area select bit */
#define		samod_dtccr9	dtccr9_addr.bit.b2	/* Source address control bit */
#define		damod_dtccr9	dtccr9_addr.bit.b3	/* Destination address control bit */
#define		chne_dtccr9		dtccr9_addr.bit.b4	/* Chain transfer enable bit */
#define		rptint_dtccr9	dtccr9_addr.bit.b5	/* Repeat mode interrupt enable bit */

/*------------------------------------------------------
  DTC Block size register 9
------------------------------------------------------*/
union	byte_def	dtbls9_addr;
#define		dtbls9		dtbls9_addr.byte

/*------------------------------------------------------
  DTC Transfer count register 9
------------------------------------------------------*/
union	byte_def	dtcct9_addr;
#define		dtcct9		dtcct9_addr.byte

/*------------------------------------------------------
  DTC Transfer count reload register 9
------------------------------------------------------*/
union	byte_def	dtrld9_addr;
#define		dtrld9		dtrld9_addr.byte

/*------------------------------------------------------
  DTC Source address register 9
------------------------------------------------------*/
unsigned short	dtsar9_addr;
#define		dtsar9		dtsar9_addr

/*------------------------------------------------------
  DTC Destination register 9
------------------------------------------------------*/
unsigned short	dtdar9_addr;
#define		dtdar9		dtdar9_addr

/*------------------------------------------------------
  DTC Control register 10
------------------------------------------------------*/
union	byte_def	dtccr10_addr;
#define		dtccr10		dtccr10_addr.byte

#define		mode_dtccr10	dtccr10_addr.bit.b0	/* Transfer mode select bit */
#define		rptsel_dtccr10	dtccr10_addr.bit.b1	/* Repeat area select bit */
#define		samod_dtccr10	dtccr10_addr.bit.b2	/* Source address control bit */
#define		damod_dtccr10	dtccr10_addr.bit.b3	/* Destination address control bit */
#define		chne_dtccr10	dtccr10_addr.bit.b4	/* Chain transfer enable bit */
#define		rptint_dtccr10	dtccr10_addr.bit.b5	/* Repeat mode interrupt enable bit */

/*------------------------------------------------------
  DTC Block size register 10
------------------------------------------------------*/
union	byte_def	dtbls10_addr;
#define		dtbls10		dtbls10_addr.byte

/*------------------------------------------------------
  DTC Transfer count register 10
------------------------------------------------------*/
union	byte_def	dtcct10_addr;
#define		dtcct10		dtcct10_addr.byte

/*------------------------------------------------------
  DTC Transfer count reload register 10
------------------------------------------------------*/
union	byte_def	dtrld10_addr;
#define		dtrld10		dtrld10_addr.byte

/*------------------------------------------------------
  DTC Source address register 10
------------------------------------------------------*/
unsigned short	dtsar10_addr;
#define		dtsar10		dtsar10_addr

/*------------------------------------------------------
  DTC Destination register 10
------------------------------------------------------*/
unsigned short	dtdar10_addr;
#define		dtdar10		dtdar10_addr

/*------------------------------------------------------
  DTC Control register 11
------------------------------------------------------*/
union	byte_def	dtccr11_addr;
#define		dtccr11		dtccr11_addr.byte

#define		mode_dtccr11	dtccr11_addr.bit.b0	/* Transfer mode select bit */
#define		rptsel_dtccr11	dtccr11_addr.bit.b1	/* Repeat area select bit */
#define		samod_dtccr11	dtccr11_addr.bit.b2	/* Source address control bit */
#define		damod_dtccr11	dtccr11_addr.bit.b3	/* Destination address control bit */
#define		chne_dtccr11	dtccr11_addr.bit.b4	/* Chain transfer enable bit */
#define		rptint_dtccr11	dtccr11_addr.bit.b5	/* Repeat mode interrupt enable bit */

/*------------------------------------------------------
  DTC Block size register 11
------------------------------------------------------*/
union	byte_def	dtbls11_addr;
#define		dtbls11		dtbls11_addr.byte

/*------------------------------------------------------
  DTC Transfer count register 11
------------------------------------------------------*/
union	byte_def	dtcct11_addr;
#define		dtcct11		dtcct11_addr.byte

/*------------------------------------------------------
  DTC Transfer count reload register 11
------------------------------------------------------*/
union	byte_def	dtrld11_addr;
#define		dtrld11		dtrld11_addr.byte

/*------------------------------------------------------
  DTC Source address register 11
------------------------------------------------------*/
unsigned short	dtsar11_addr;
#define		dtsar11		dtsar11_addr

/*------------------------------------------------------
  DTC Destination register 11
------------------------------------------------------*/
unsigned short	dtdar11_addr;
#define		dtdar11		dtdar11_addr

/*------------------------------------------------------
  DTC Control register 12
------------------------------------------------------*/
union	byte_def	dtccr12_addr;
#define		dtccr12		dtccr12_addr.byte

#define		mode_dtccr12	dtccr12_addr.bit.b0	/* Transfer mode select bit */
#define		rptsel_dtccr12	dtccr12_addr.bit.b1	/* Repeat area select bit */
#define		samod_dtccr12	dtccr12_addr.bit.b2	/* Source address control bit */
#define		damod_dtccr12	dtccr12_addr.bit.b3	/* Destination address control bit */
#define		chne_dtccr12	dtccr12_addr.bit.b4	/* Chain transfer enable bit */
#define		rptint_dtccr12	dtccr12_addr.bit.b5	/* Repeat mode interrupt enable bit */

/*------------------------------------------------------
  DTC Block size register 12
------------------------------------------------------*/
union	byte_def	dtbls12_addr;
#define		dtbls12		dtbls12_addr.byte

/*------------------------------------------------------
  DTC Transfer count register 12
------------------------------------------------------*/
union	byte_def	dtcct12_addr;
#define		dtcct12		dtcct12_addr.byte

/*------------------------------------------------------
  DTC Transfer count reload register 12
------------------------------------------------------*/
union	byte_def	dtrld12_addr;
#define		dtrld12		dtrld12_addr.byte

/*------------------------------------------------------
  DTC Source address register 12
------------------------------------------------------*/
unsigned short	dtsar12_addr;
#define		dtsar12		dtsar12_addr

/*------------------------------------------------------
  DTC Destination register 12
------------------------------------------------------*/
unsigned short	dtdar12_addr;
#define		dtdar12		dtdar12_addr

/*------------------------------------------------------
  DTC Control register 13
------------------------------------------------------*/
union	byte_def	dtccr13_addr;
#define		dtccr13		dtccr13_addr.byte

#define		mode_dtccr13	dtccr13_addr.bit.b0	/* Transfer mode select bit */
#define		rptsel_dtccr13	dtccr13_addr.bit.b1	/* Repeat area select bit */
#define		samod_dtccr13	dtccr13_addr.bit.b2	/* Source address control bit */
#define		damod_dtccr13	dtccr13_addr.bit.b3	/* Destination address control bit */
#define		chne_dtccr13	dtccr13_addr.bit.b4	/* Chain transfer enable bit */
#define		rptint_dtccr13	dtccr13_addr.bit.b5	/* Repeat mode interrupt enable bit */

/*------------------------------------------------------
  DTC Block size register 13
------------------------------------------------------*/
union	byte_def	dtbls13_addr;
#define		dtbls13		dtbls13_addr.byte

/*------------------------------------------------------
  DTC Transfer count register 13
------------------------------------------------------*/
union	byte_def	dtcct13_addr;
#define		dtcct13		dtcct13_addr.byte

/*------------------------------------------------------
  DTC Transfer count reload register 13
------------------------------------------------------*/
union	byte_def	dtrld13_addr;
#define		dtrld13		dtrld13_addr.byte

/*------------------------------------------------------
  DTC Source address register 13
------------------------------------------------------*/
unsigned short	dtsar13_addr;
#define		dtsar13		dtsar13_addr

/*------------------------------------------------------
  DTC Destination register 13
------------------------------------------------------*/
unsigned short	dtdar13_addr;
#define		dtdar13		dtdar13_addr

/*------------------------------------------------------
  DTC Control register 14
------------------------------------------------------*/
union	byte_def	dtccr14_addr;
#define		dtccr14		dtccr14_addr.byte

#define		mode_dtccr14	dtccr14_addr.bit.b0	/* Transfer mode select bit */
#define		rptsel_dtccr14	dtccr14_addr.bit.b1	/* Repeat area select bit */
#define		samod_dtccr14	dtccr14_addr.bit.b2	/* Source address control bit */
#define		damod_dtccr14	dtccr14_addr.bit.b3	/* Destination address control bit */
#define		chne_dtccr14	dtccr14_addr.bit.b4	/* Chain transfer enable bit */
#define		rptint_dtccr14	dtccr14_addr.bit.b5	/* Repeat mode interrupt enable bit */

/*------------------------------------------------------
  DTC Block size register 14
------------------------------------------------------*/
union	byte_def	dtbls14_addr;
#define		dtbls14		dtbls14_addr.byte

/*------------------------------------------------------
  DTC Transfer count register 14
------------------------------------------------------*/
union	byte_def	dtcct14_addr;
#define		dtcct14		dtcct14_addr.byte

/*------------------------------------------------------
  DTC Transfer count reload register 14
------------------------------------------------------*/
union	byte_def	dtrld14_addr;
#define		dtrld14		dtrld14_addr.byte

/*------------------------------------------------------
  DTC Source address register 14
------------------------------------------------------*/
unsigned short	dtsar14_addr;
#define		dtsar14		dtsar14_addr

/*------------------------------------------------------
  DTC Destination register 14
------------------------------------------------------*/
unsigned short	dtdar14_addr;
#define		dtdar14		dtdar14_addr

/*------------------------------------------------------
  DTC Control register 15
------------------------------------------------------*/
union	byte_def	dtccr15_addr;
#define		dtccr15		dtccr15_addr.byte

#define		mode_dtccr15	dtccr15_addr.bit.b0	/* Transfer mode select bit */
#define		rptsel_dtccr15	dtccr15_addr.bit.b1	/* Repeat area select bit */
#define		samod_dtccr15	dtccr15_addr.bit.b2	/* Source address control bit */
#define		damod_dtccr15	dtccr15_addr.bit.b3	/* Destination address control bit */
#define		chne_dtccr15	dtccr15_addr.bit.b4	/* Chain transfer enable bit */
#define		rptint_dtccr15	dtccr15_addr.bit.b5	/* Repeat mode interrupt enable bit */

/*------------------------------------------------------
  DTC Block size register 15
------------------------------------------------------*/
union	byte_def	dtbls15_addr;
#define		dtbls15		dtbls15_addr.byte

/*------------------------------------------------------
  DTC Transfer count register 15
------------------------------------------------------*/
union	byte_def	dtcct15_addr;
#define		dtcct15		dtcct15_addr.byte

/*------------------------------------------------------
  DTC Transfer count reload register 15
------------------------------------------------------*/
union	byte_def	dtrld15_addr;
#define		dtrld15		dtrld15_addr.byte

/*------------------------------------------------------
  DTC Source address register 15
------------------------------------------------------*/
unsigned short	dtsar15_addr;
#define		dtsar15		dtsar15_addr

/*------------------------------------------------------
  DTC Destination register 15
------------------------------------------------------*/
unsigned short	dtdar15_addr;
#define		dtdar15		dtdar15_addr

/*------------------------------------------------------
  DTC Control register 16
------------------------------------------------------*/
union	byte_def	dtccr16_addr;
#define		dtccr16		dtccr16_addr.byte

#define		mode_dtccr16	dtccr16_addr.bit.b0	/* Transfer mode select bit */
#define		rptsel_dtccr16	dtccr16_addr.bit.b1	/* Repeat area select bit */
#define		samod_dtccr16	dtccr16_addr.bit.b2	/* Source address control bit */
#define		damod_dtccr16	dtccr16_addr.bit.b3	/* Destination address control bit */
#define		chne_dtccr16	dtccr16_addr.bit.b4	/* Chain transfer enable bit */
#define		rptint_dtccr16	dtccr16_addr.bit.b5	/* Repeat mode interrupt enable bit */

/*------------------------------------------------------
  DTC Block size register 16
------------------------------------------------------*/
union	byte_def	dtbls16_addr;
#define		dtbls16		dtbls16_addr.byte

/*------------------------------------------------------
  DTC Transfer count register 16
------------------------------------------------------*/
union	byte_def	dtcct16_addr;
#define		dtcct16		dtcct16_addr.byte

/*------------------------------------------------------
  DTC Transfer count reload register 16
------------------------------------------------------*/
union	byte_def	dtrld16_addr;
#define		dtrld16		dtrld16_addr.byte

/*------------------------------------------------------
  DTC Source address register 16
------------------------------------------------------*/
unsigned short	dtsar16_addr;
#define		dtsar16		dtsar16_addr

/*------------------------------------------------------
  DTC Destination register 16
------------------------------------------------------*/
unsigned short	dtdar16_addr;
#define		dtdar16		dtdar16_addr

/*------------------------------------------------------
  DTC Control register 17
------------------------------------------------------*/
union	byte_def	dtccr17_addr;
#define		dtccr17		dtccr17_addr.byte

#define		mode_dtccr17	dtccr17_addr.bit.b0	/* Transfer mode select bit */
#define		rptsel_dtccr17	dtccr17_addr.bit.b1	/* Repeat area select bit */
#define		samod_dtccr17	dtccr17_addr.bit.b2	/* Source address control bit */
#define		damod_dtccr17	dtccr17_addr.bit.b3	/* Destination address control bit */
#define		chne_dtccr17	dtccr17_addr.bit.b4	/* Chain transfer enable bit */
#define		rptint_dtccr17	dtccr17_addr.bit.b5	/* Repeat mode interrupt enable bit */

/*------------------------------------------------------
  DTC Block size register 17
------------------------------------------------------*/
union	byte_def	dtbls17_addr;
#define		dtbls17		dtbls17_addr.byte

/*------------------------------------------------------
  DTC Transfer count register 17
------------------------------------------------------*/
union	byte_def	dtcct17_addr;
#define		dtcct17		dtcct17_addr.byte

/*------------------------------------------------------
  DTC Transfer count reload register 17
------------------------------------------------------*/
union	byte_def	dtrld17_addr;
#define		dtrld17		dtrld17_addr.byte

/*------------------------------------------------------
  DTC Source address register 17
------------------------------------------------------*/
unsigned short	dtsar17_addr;
#define		dtsar17		dtsar17_addr

/*------------------------------------------------------
  DTC Destination register 17
------------------------------------------------------*/
unsigned short	dtdar17_addr;
#define		dtdar17		dtdar17_addr

/*------------------------------------------------------
  DTC Control register 18
------------------------------------------------------*/
union	byte_def	dtccr18_addr;
#define		dtccr18		dtccr18_addr.byte

#define		mode_dtccr18	dtccr18_addr.bit.b0	/* Transfer mode select bit */
#define		rptsel_dtccr18	dtccr18_addr.bit.b1	/* Repeat area select bit */
#define		samod_dtccr18	dtccr18_addr.bit.b2	/* Source address control bit */
#define		damod_dtccr18	dtccr18_addr.bit.b3	/* Destination address control bit */
#define		chne_dtccr18	dtccr18_addr.bit.b4	/* Chain transfer enable bit */
#define		rptint_dtccr18	dtccr18_addr.bit.b5	/* Repeat mode interrupt enable bit */

/*------------------------------------------------------
  DTC Block size register 18
------------------------------------------------------*/
union	byte_def	dtbls18_addr;
#define		dtbls18		dtbls18_addr.byte

/*------------------------------------------------------
  DTC Transfer count register 18
------------------------------------------------------*/
union	byte_def	dtcct18_addr;
#define		dtcct18		dtcct18_addr.byte

/*------------------------------------------------------
  DTC Transfer count reload register 18
------------------------------------------------------*/
union	byte_def	dtrld18_addr;
#define		dtrld18		dtrld18_addr.byte

/*------------------------------------------------------
  DTC Source address register 18
------------------------------------------------------*/
unsigned short	dtsar18_addr;
#define		dtsar18		dtsar18_addr

/*------------------------------------------------------
  DTC Destination register 18
------------------------------------------------------*/
unsigned short	dtdar18_addr;
#define		dtdar18		dtdar18_addr

/*------------------------------------------------------
  DTC Control register 19
------------------------------------------------------*/
union	byte_def	dtccr19_addr;
#define		dtccr19		dtccr19_addr.byte

#define		mode_dtccr19	dtccr19_addr.bit.b0	/* Transfer mode select bit */
#define		rptsel_dtccr19	dtccr19_addr.bit.b1	/* Repeat area select bit */
#define		samod_dtccr19	dtccr19_addr.bit.b2	/* Source address control bit */
#define		damod_dtccr19	dtccr19_addr.bit.b3	/* Destination address control bit */
#define		chne_dtccr19	dtccr19_addr.bit.b4	/* Chain transfer enable bit */
#define		rptint_dtccr19	dtccr19_addr.bit.b5	/* Repeat mode interrupt enable bit */

/*------------------------------------------------------
  DTC Block size register 19
------------------------------------------------------*/
union	byte_def	dtbls19_addr;
#define		dtbls19		dtbls19_addr.byte

/*------------------------------------------------------
  DTC Transfer count register 19
------------------------------------------------------*/
union	byte_def	dtcct19_addr;
#define		dtcct19		dtcct19_addr.byte

/*------------------------------------------------------
  DTC Transfer count reload register 19
------------------------------------------------------*/
union	byte_def	dtrld19_addr;
#define		dtrld19		dtrld19_addr.byte

/*------------------------------------------------------
  DTC Source address register 19
------------------------------------------------------*/
unsigned short	dtsar19_addr;
#define		dtsar19		dtsar19_addr

/*------------------------------------------------------
  DTC Destination register 19
------------------------------------------------------*/
unsigned short	dtdar19_addr;
#define		dtdar19		dtdar19_addr

/*------------------------------------------------------
  DTC Control register 20
------------------------------------------------------*/
union	byte_def	dtccr20_addr;
#define		dtccr20		dtccr20_addr.byte

#define		mode_dtccr20	dtccr20_addr.bit.b0	/* Transfer mode select bit */
#define		rptsel_dtccr20	dtccr20_addr.bit.b1	/* Repeat area select bit */
#define		samod_dtccr20	dtccr20_addr.bit.b2	/* Source address control bit */
#define		damod_dtccr20	dtccr20_addr.bit.b3	/* Destination address control bit */
#define		chne_dtccr20	dtccr20_addr.bit.b4	/* Chain transfer enable bit */
#define		rptint_dtccr20	dtccr20_addr.bit.b5	/* Repeat mode interrupt enable bit */

/*------------------------------------------------------
  DTC Block size register 20
------------------------------------------------------*/
union	byte_def	dtbls20_addr;
#define		dtbls20		dtbls20_addr.byte

/*------------------------------------------------------
  DTC Transfer count register 20
------------------------------------------------------*/
union	byte_def	dtcct20_addr;
#define		dtcct20		dtcct20_addr.byte

/*------------------------------------------------------
  DTC Transfer count reload register 20
------------------------------------------------------*/
union	byte_def	dtrld20_addr;
#define		dtrld20		dtrld20_addr.byte

/*------------------------------------------------------
  DTC Source address register 20
------------------------------------------------------*/
unsigned short	dtsar20_addr;
#define		dtsar20		dtsar20_addr

/*------------------------------------------------------
  DTC Destination register 20
------------------------------------------------------*/
unsigned short	dtdar20_addr;
#define		dtdar20		dtdar20_addr

/*------------------------------------------------------
  DTC Control register 21
------------------------------------------------------*/
union	byte_def	dtccr21_addr;
#define		dtccr21		dtccr21_addr.byte

#define		mode_dtccr21	dtccr21_addr.bit.b0	/* Transfer mode select bit */
#define		rptsel_dtccr21	dtccr21_addr.bit.b1	/* Repeat area select bit */
#define		samod_dtccr21	dtccr21_addr.bit.b2	/* Source address control bit */
#define		damod_dtccr21	dtccr21_addr.bit.b3	/* Destination address control bit */
#define		chne_dtccr21	dtccr21_addr.bit.b4	/* Chain transfer enable bit */
#define		rptint_dtccr21	dtccr21_addr.bit.b5	/* Repeat mode interrupt enable bit */

/*------------------------------------------------------
  DTC Block size register 21
------------------------------------------------------*/
union	byte_def	dtbls21_addr;
#define		dtbls21		dtbls21_addr.byte

/*------------------------------------------------------
  DTC Transfer count register 21
------------------------------------------------------*/
union	byte_def	dtcct21_addr;
#define		dtcct21		dtcct21_addr.byte

/*------------------------------------------------------
  DTC Transfer count reload register 21
------------------------------------------------------*/
union	byte_def	dtrld21_addr;
#define		dtrld21		dtrld21_addr.byte

/*------------------------------------------------------
  DTC Source address register 21
------------------------------------------------------*/
unsigned short	dtsar21_addr;
#define		dtsar21		dtsar21_addr

/*------------------------------------------------------
  DTC Destination register 21
------------------------------------------------------*/
unsigned short	dtdar21_addr;
#define		dtdar21		dtdar21_addr

/*------------------------------------------------------
  DTC Control register 22
------------------------------------------------------*/
union	byte_def	dtccr22_addr;
#define		dtccr22		dtccr22_addr.byte

#define		mode_dtccr22	dtccr22_addr.bit.b0	/* Transfer mode select bit */
#define		rptsel_dtccr22	dtccr22_addr.bit.b1	/* Repeat area select bit */
#define		samod_dtccr22	dtccr22_addr.bit.b2	/* Source address control bit */
#define		damod_dtccr22	dtccr22_addr.bit.b3	/* Destination address control bit */
#define		chne_dtccr22	dtccr22_addr.bit.b4	/* Chain transfer enable bit */
#define		rptint_dtccr22	dtccr22_addr.bit.b5	/* Repeat mode interrupt enable bit */

/*------------------------------------------------------
  DTC Block size register 22
------------------------------------------------------*/
union	byte_def	dtbls22_addr;
#define		dtbls22		dtbls22_addr.byte

/*------------------------------------------------------
  DTC Transfer count register 22
------------------------------------------------------*/
union	byte_def	dtcct22_addr;
#define		dtcct22		dtcct22_addr.byte

/*------------------------------------------------------
  DTC Transfer count reload register 22
------------------------------------------------------*/
union	byte_def	dtrld22_addr;
#define		dtrld22		dtrld22_addr.byte

/*------------------------------------------------------
  DTC Source address register 22
------------------------------------------------------*/
unsigned short	dtsar22_addr;
#define		dtsar22		dtsar22_addr

/*------------------------------------------------------
  DTC Destination register 22
------------------------------------------------------*/
unsigned short	dtdar22_addr;
#define		dtdar22		dtdar22_addr

/*------------------------------------------------------
  DTC Control register 23
------------------------------------------------------*/
union	byte_def	dtccr23_addr;
#define		dtccr23		dtccr23_addr.byte

#define		mode_dtccr23	dtccr23_addr.bit.b0	/* Transfer mode select bit */
#define		rptsel_dtccr23	dtccr23_addr.bit.b1	/* Repeat area select bit */
#define		samod_dtccr23	dtccr23_addr.bit.b2	/* Source address control bit */
#define		damod_dtccr23	dtccr23_addr.bit.b3	/* Destination address control bit */
#define		chne_dtccr23	dtccr23_addr.bit.b4	/* Chain transfer enable bit */
#define		rptint_dtccr23	dtccr23_addr.bit.b5	/* Repeat mode interrupt enable bit */

/*------------------------------------------------------
  DTC Block size register 23
------------------------------------------------------*/
union	byte_def	dtbls23_addr;
#define		dtbls23		dtbls23_addr.byte

/*------------------------------------------------------
  DTC Transfer count register 23
------------------------------------------------------*/
union	byte_def	dtcct23_addr;
#define		dtcct23		dtcct23_addr.byte

/*------------------------------------------------------
  DTC Transfer count reload register 23
------------------------------------------------------*/
union	byte_def	dtrld23_addr;
#define		dtrld23		dtrld23_addr.byte

/*------------------------------------------------------
  DTC Source address register 23
------------------------------------------------------*/
unsigned short	dtsar23_addr;
#define		dtsar23		dtsar23_addr

/*------------------------------------------------------
  DTC Destination register 23
------------------------------------------------------*/
unsigned short	dtdar23_addr;
#define		dtdar23		dtdar23_addr

/*------------------------------------------------------
  Timer RC Counter, General register A,B,C,D
------------------------------------------------------*/
unsigned short trc_addr, trcgra_addr, trcgrb_addr, trcgrc_addr, trcgrd_addr;

#define		trc				trc_addr			/* Timer RC Counter */
#define		trcgra			trcgra_addr			/* Timer RC general register A */
#define		trcgrb			trcgrb_addr			/* Timer RC general register B */
#define		trcgrc			trcgrc_addr			/* Timer RC general register C */
#define		trcgrd			trcgrd_addr			/* Timer RC general register D */

/*------------------------------------------------------
  Interrupt control register
------------------------------------------------------*/
union{
	struct{
		unsigned char	ilvl0:1;				/* Interrupt priority level select bit */
		unsigned char	ilvl1:1;				/* Interrupt priority level select bit */
		unsigned char	ilvl2:1;				/* Interrupt priority level select bit */
		unsigned char	ir:1;					/* Interrupt request bit */
		unsigned char	pol:1;					/* Polarity select bit */
		unsigned char	b5:1;
		unsigned char	b6:1;
		unsigned char	b7:1;
	} bit;
	unsigned char	byte;
} fmrdyic_addr, trcic_addr, treic_addr,
  s2tic_addr, s2ric_addr, kupic_addr, adic_addr, ssuic_addr, iicic_addr,
  s0tic_addr, s0ric_addr, s1tic_addr, s1ric_addr, traic_addr,
  trbic_addr, int1ic_addr, int3ic_addr, int0ic_addr, u2bcnic_addr, vcmp1ic_addr, vcmp2ic_addr;

/*------------------------------------------------------
  Flash Memory Ready Interrupt Control Register
------------------------------------------------------*/
#define		fmrdyic		fmrdyic_addr.byte

#define		ilvl0_fmrdyic	fmrdyic_addr.bit.ilvl0
#define		ilvl1_fmrdyic	fmrdyic_addr.bit.ilvl1
#define		ilvl2_fmrdyic	fmrdyic_addr.bit.ilvl2
#define		ir_fmrdyic		fmrdyic_addr.bit.ir

/*------------------------------------------------------
  Timer RC interrupt control register
------------------------------------------------------*/
#define		trcic		trcic_addr.byte

#define		ilvl0_trcic		trcic_addr.bit.ilvl0
#define		ilvl1_trcic		trcic_addr.bit.ilvl1
#define		ilvl2_trcic		trcic_addr.bit.ilvl2
#define		ir_trcic		trcic_addr.bit.ir

/*------------------------------------------------------
  Timer RE Interrupt Control Register
------------------------------------------------------*/
#define		treic		treic_addr.byte

#define		ilvl0_treic		treic_addr.bit.ilvl0
#define		ilvl1_treic		treic_addr.bit.ilvl1
#define		ilvl2_treic		treic_addr.bit.ilvl2
#define		ir_treic		treic_addr.bit.ir

/*------------------------------------------------------
  UART2 transmit interrupt control register
------------------------------------------------------*/
#define		s2tic		s2tic_addr.byte

#define		ilvl0_s2tic		s2tic_addr.bit.ilvl0
#define		ilvl1_s2tic		s2tic_addr.bit.ilvl1
#define		ilvl2_s2tic		s2tic_addr.bit.ilvl2
#define		ir_s2tic		s2tic_addr.bit.ir

/*------------------------------------------------------
  UART2 receive interrupt control register
------------------------------------------------------*/
#define		s2ric		s2ric_addr.byte

#define		ilvl0_s2ric		s2ric_addr.bit.ilvl0
#define		ilvl1_s2ric		s2ric_addr.bit.ilvl1
#define		ilvl2_s2ric		s2ric_addr.bit.ilvl2
#define		ir_s2ric		s2ric_addr.bit.ir

/*------------------------------------------------------
  Key input interrupt control register
------------------------------------------------------*/
#define		kupic		kupic_addr.byte

#define		ilvl0_kupic		kupic_addr.bit.ilvl0
#define		ilvl1_kupic		kupic_addr.bit.ilvl1
#define		ilvl2_kupic		kupic_addr.bit.ilvl2
#define		ir_kupic		kupic_addr.bit.ir

/*------------------------------------------------------
  A/D Conversion Interrupt Control Register
------------------------------------------------------*/
#define		adic		adic_addr.byte

#define		ilvl0_adic		adic_addr.bit.ilvl0
#define		ilvl1_adic		adic_addr.bit.ilvl1
#define		ilvl2_adic		adic_addr.bit.ilvl2
#define		ir_adic			adic_addr.bit.ir

/*------------------------------------------------------
  SSU interrupt control register
------------------------------------------------------*/
#define		ssuic		ssuic_addr.byte

#define		ilvl0_ssuic		ssuic_addr.bit.ilvl0
#define		ilvl1_ssuic		ssuic_addr.bit.ilvl1
#define		ilvl2_ssuic		ssuic_addr.bit.ilvl2
#define		ir_ssuic		ssuic_addr.bit.ir

/*------------------------------------------------------
  IIC bus Interrupt Control Register
------------------------------------------------------*/
#define		iicic		iicic_addr.byte

#define		ilvl0_iicic		iicic_addr.bit.ilvl0
#define		ilvl1_iicic		iicic_addr.bit.ilvl1
#define		ilvl2_iicic		iicic_addr.bit.ilvl2
#define		ir_iicic		iicic_addr.bit.ir

/*------------------------------------------------------
  UART0 transmit interrupt control register
------------------------------------------------------*/
#define		s0tic		s0tic_addr.byte

#define		ilvl0_s0tic		s0tic_addr.bit.ilvl0
#define		ilvl1_s0tic		s0tic_addr.bit.ilvl1
#define		ilvl2_s0tic		s0tic_addr.bit.ilvl2
#define		ir_s0tic		s0tic_addr.bit.ir

/*------------------------------------------------------
  UART0 receive interrupt control register
------------------------------------------------------*/
#define		s0ric		s0ric_addr.byte

#define		ilvl0_s0ric		s0ric_addr.bit.ilvl0
#define		ilvl1_s0ric		s0ric_addr.bit.ilvl1
#define		ilvl2_s0ric		s0ric_addr.bit.ilvl2
#define		ir_s0ric		s0ric_addr.bit.ir

/*------------------------------------------------------
  UART1 transmit interrupt control register
------------------------------------------------------*/
#define		s1tic		s1tic_addr.byte

#define		ilvl0_s1tic		s1tic_addr.bit.ilvl0
#define		ilvl1_s1tic		s1tic_addr.bit.ilvl1
#define		ilvl2_s1tic		s1tic_addr.bit.ilvl2
#define		ir_s1tic		s1tic_addr.bit.ir

/*------------------------------------------------------
  UART1 receive interrupt control register
------------------------------------------------------*/
#define		s1ric		s1ric_addr.byte

#define		ilvl0_s1ric		s1ric_addr.bit.ilvl0
#define		ilvl1_s1ric		s1ric_addr.bit.ilvl1
#define		ilvl2_s1ric		s1ric_addr.bit.ilvl2
#define		ir_s1ric		s1ric_addr.bit.ir

/*------------------------------------------------------
  Timer RA interrupt control register
------------------------------------------------------*/
#define		traic		traic_addr.byte

#define		ilvl0_traic		traic_addr.bit.ilvl0
#define		ilvl1_traic		traic_addr.bit.ilvl1
#define		ilvl2_traic		traic_addr.bit.ilvl2
#define		ir_traic		traic_addr.bit.ir

/*------------------------------------------------------
  Timer RB interrupt control register
------------------------------------------------------*/
#define		trbic		trbic_addr.byte

#define		ilvl0_trbic		trbic_addr.bit.ilvl0
#define		ilvl1_trbic		trbic_addr.bit.ilvl1
#define		ilvl2_trbic		trbic_addr.bit.ilvl2
#define		ir_trbic		trbic_addr.bit.ir

/*------------------------------------------------------
  INT1 interrupt control register
------------------------------------------------------*/
#define		int1ic		int1ic_addr.byte

#define		ilvl0_int1ic	int1ic_addr.bit.ilvl0
#define		ilvl1_int1ic	int1ic_addr.bit.ilvl1
#define		ilvl2_int1ic	int1ic_addr.bit.ilvl2
#define		ir_int1ic		int1ic_addr.bit.ir
#define		pol_int1ic		int1ic_addr.bit.pol

/*------------------------------------------------------
  INT3 interrupt control register
------------------------------------------------------*/
#define		int3ic		int3ic_addr.byte

#define		ilvl0_int3ic	int3ic_addr.bit.ilvl0
#define		ilvl1_int3ic	int3ic_addr.bit.ilvl1
#define		ilvl2_int3ic	int3ic_addr.bit.ilvl2
#define		ir_int3ic		int3ic_addr.bit.ir
#define		pol_int3ic		int3ic_addr.bit.pol

/*------------------------------------------------------
  INT0 interrupt control register
------------------------------------------------------*/
#define		int0ic		int0ic_addr.byte

#define		ilvl0_int0ic	int0ic_addr.bit.ilvl0
#define		ilvl1_int0ic	int0ic_addr.bit.ilvl1
#define		ilvl2_int0ic	int0ic_addr.bit.ilvl2
#define		ir_int0ic		int0ic_addr.bit.ir
#define		pol_int0ic		int0ic_addr.bit.pol

/*------------------------------------------------------
  UART2 bus collision detection interrupt control register
------------------------------------------------------*/
#define		u2bcnic		u2bcnic_addr.byte

#define		ilvl0_u2bcnic	u2bcnic_addr.bit.ilvl0
#define		ilvl1_u2bcnic	u2bcnic_addr.bit.ilvl1
#define		ilvl2_u2bcnic	u2bcnic_addr.bit.ilvl2
#define		ir_u2bcnic		u2bcnic_addr.bit.ir

/*------------------------------------------------------
  Voltage Monitor 1 Interrupt Control Register
------------------------------------------------------*/
#define		vcmp1ic		vcmp1ic_addr.byte

#define		ilvl0_vcmp1ic	vcmp1ic_addr.bit.ilvl0
#define		ilvl1_vcmp1ic	vcmp1ic_addr.bit.ilvl1
#define		ilvl2_vcmp1ic	vcmp1ic_addr.bit.ilvl2
#define		ir_vcmp1ic		vcmp1ic_addr.bit.ir

/*------------------------------------------------------
  Voltage Monitor 2 Interrupt Control Register
------------------------------------------------------*/
#define		vcmp2ic		vcmp2ic_addr.byte

#define		ilvl0_vcmp2ic	vcmp2ic_addr.bit.ilvl0
#define		ilvl1_vcmp2ic	vcmp2ic_addr.bit.ilvl1
#define		ilvl2_vcmp2ic	vcmp2ic_addr.bit.ilvl2
#define		ir_vcmp2ic		vcmp2ic_addr.bit.ir

/*------------------------------------------------------
  UARTi transmit/receive mode register
------------------------------------------------------*/
union{
	struct{
		unsigned char	smd0:1;					/* Serial I/O mode select bit */
		unsigned char	smd1:1;					/* Serial I/O mode select bit */
		unsigned char	smd2:1;					/* Serial I/O mode select bit */
		unsigned char	ckdir:1;				/* Internal/external clock select bit */
		unsigned char	stps:1;					/* Stop bit length select bit */
		unsigned char	pry:1;					/* Odd/even parity select bit */
		unsigned char	prye:1;					/* Parity enable bit */
		unsigned char	b7:1;
	} bit;
	unsigned char	byte;
} u0mr_addr, u1mr_addr, u2mr_addr;

/*------------------------------------------------------
  UARTi transmit/receive mode register
------------------------------------------------------*/
#define		u0mr		u0mr_addr.byte

#define		smd0_u0mr		u0mr_addr.bit.smd0	/* Serial I/O mode select bit */
#define		smd1_u0mr		u0mr_addr.bit.smd1	/* Serial I/O mode select bit */
#define		smd2_u0mr		u0mr_addr.bit.smd2	/* Serial I/O mode select bit */
#define		ckdir_u0mr		u0mr_addr.bit.ckdir	/* Internal/external clock select bit */
#define		stps_u0mr		u0mr_addr.bit.stps	/* Stop bit length select bit */
#define		pry_u0mr		u0mr_addr.bit.pry	/* Odd/even parity select bit */
#define		prye_u0mr		u0mr_addr.bit.prye	/* Parity enable bit */

#define		u1mr		u1mr_addr.byte

#define		smd0_u1mr		u1mr_addr.bit.smd0	/* Serial I/O mode select bit */
#define		smd1_u1mr		u1mr_addr.bit.smd1	/* Serial I/O mode select bit */
#define		smd2_u1mr		u1mr_addr.bit.smd2	/* Serial I/O mode select bit */
#define		ckdir_u1mr		u1mr_addr.bit.ckdir	/* Internal/external clock select bit */
#define		stps_u1mr		u1mr_addr.bit.stps	/* Stop bit length select bit */
#define		pry_u1mr		u1mr_addr.bit.pry	/* Odd/even parity select bit */
#define		prye_u1mr		u1mr_addr.bit.prye	/* Parity enable bit */

#define		u2mr		u2mr_addr.byte

#define		smd0_u2mr		u2mr_addr.bit.smd0	/* Serial I/O mode select bit */
#define		smd1_u2mr		u2mr_addr.bit.smd1	/* Serial I/O mode select bit */
#define		smd2_u2mr		u2mr_addr.bit.smd2	/* Serial I/O mode select bit */
#define		ckdir_u2mr		u2mr_addr.bit.ckdir	/* Internal/external clock select bit */
#define		stps_u2mr		u2mr_addr.bit.stps	/* Stop bit length select bit */
#define		pry_u2mr		u2mr_addr.bit.pry	/* Odd/even parity select bit */
#define		prye_u2mr		u2mr_addr.bit.prye	/* Parity enable bit */
#define		iopol_u2mr		u2mr_addr.bit.b7	/* TXD/RXD input/output polarity select bit */

/*------------------------------------------------------
  UARTi transmit/receive control register0
------------------------------------------------------*/
union{
	struct{
		unsigned char	clk0:1;					/* BRG count source select bit */
		unsigned char	clk1:1;					/* BRG count source select bit */
		unsigned char	crs:1;					/* CTS/RTS select bit */
		unsigned char	txept:1;				/* Transmit register empty flag */
		unsigned char	crd:1;					/* CTS/RTS disable bit */
		unsigned char	nch:1;					/* Data output select bit */
		unsigned char	ckpol:1;				/* CLK polarity select bit */
		unsigned char	uform:1;				/* Transfer format select bit */
	} bit;
	unsigned char	byte;
} u0c0_addr, u1c0_addr, u2c0_addr;

/*------------------------------------------------------
  UARTi transmit/receive control register0
------------------------------------------------------*/
#define		u0c0		u0c0_addr.byte

#define		clk0_u0c0		u0c0_addr.bit.clk0	/* BRG count source select bit */
#define		clk1_u0c0		u0c0_addr.bit.clk1	/* BRG count source select bit */
#define		txept_u0c0		u0c0_addr.bit.txept	/* Transmit register empty flag */
#define		nch_u0c0		u0c0_addr.bit.nch	/* Data output select bit */
#define		ckpol_u0c0		u0c0_addr.bit.ckpol	/* CLK polarity select bit */
#define		uform_u0c0		u0c0_addr.bit.uform	/* Transfer format select bit */

#define		u1c0		u1c0_addr.byte

#define		clk0_u1c0		u1c0_addr.bit.clk0	/* BRG count source select bit */
#define		clk1_u1c0		u1c0_addr.bit.clk1	/* BRG count source select bit */
#define		txept_u1c0		u1c0_addr.bit.txept	/* Transmit register empty flag */
#define		nch_u1c0		u1c0_addr.bit.nch	/* Data output select bit */
#define		ckpol_u1c0		u1c0_addr.bit.ckpol	/* CLK polarity select bit */
#define		uform_u1c0		u1c0_addr.bit.uform	/* Transfer format select bit */

#define		u2c0		u2c0_addr.byte

#define		clk0_u2c0		u2c0_addr.bit.clk0	/* BRG count source select bit */
#define		clk1_u2c0		u2c0_addr.bit.clk1	/* BRG count source select bit */
#define		crs_u2c0		u2c0_addr.bit.crs	/* CTS/RTS select bit */
#define		txept_u2c0		u2c0_addr.bit.txept	/* Transmit register empty flag */
#define		crd_u2c0		u2c0_addr.bit.crd	/* CTS/RTS disable bit */
#define		nch_u2c0		u2c0_addr.bit.nch	/* Data output select bit */
#define		ckpol_u2c0		u2c0_addr.bit.ckpol	/* CLK polarity select bit */
#define		uform_u2c0		u2c0_addr.bit.uform	/* Transfer format select bit */

/*------------------------------------------------------
  UARTi transmit/receive control register1
------------------------------------------------------*/
union{
	struct{
		unsigned char	te:1;					/* Transmit enable bit */
		unsigned char	ti:1;					/* Transmit buffer empty flag */
		unsigned char	re:1;					/* Receive enable bit */
		unsigned char	ri:1;					/* Receive complete flag */
		unsigned char	irs:1;
		unsigned char	rrm:1;
		unsigned char	lch:1;
		unsigned char	ere:1;
	} bit;
	unsigned char	byte;
} u0c1_addr, u1c1_addr, u2c1_addr;

/*------------------------------------------------------
  UARTi transmit/receive control register1
------------------------------------------------------*/
#define		u0c1		u0c1_addr.byte

#define		te_u0c1			u0c1_addr.bit.te	/* Transmit enable bit */
#define		ti_u0c1			u0c1_addr.bit.ti	/* Transmit buffer empty flag */
#define		re_u0c1			u0c1_addr.bit.re	/* Receive enable bit */
#define		ri_u0c1			u0c1_addr.bit.ri	/* Receive complete flag */
#define		u0irs_u0c1		u0c1_addr.bit.irs	/* UART0 transmit interrupt cause select bit */
#define		u0rrm_u0c1		u0c1_addr.bit.rrm	/* UART0 continuous receive mode enable bit */

#define		u1c1			u1c1_addr.byte

#define		te_u1c1			u1c1_addr.bit.te	/* Transmit enable bit */
#define		ti_u1c1			u1c1_addr.bit.ti	/* Transmit buffer empty flag */
#define		re_u1c1			u1c1_addr.bit.re	/* Receive enable bit */
#define		ri_u1c1			u1c1_addr.bit.ri	/* Receive complete flag */
#define		u1irs_u1c1		u1c1_addr.bit.irs	/* UART1 transmit interrupt cause select bit */
#define		u1rrm_u1c1		u1c1_addr.bit.rrm	/* UART1 continuous receive mode enable bit */

#define		u2c1		u2c1_addr.byte

#define		te_u2c1			u2c1_addr.bit.te	/* Transmit enable bit */
#define		ti_u2c1			u2c1_addr.bit.ti	/* Transmit buffer empty flag */
#define		re_u2c1			u2c1_addr.bit.re	/* Receive enable bit */
#define		ri_u2c1			u2c1_addr.bit.ri	/* Receive complete flag */
#define		u2irs_u2c1		u2c1_addr.bit.irs	/* UART2 transmit interrupt cause select bit */
#define		u2rrm_u2c1		u2c1_addr.bit.rrm	/* UART2 continuous receive mode enable bit */
#define		u2lch_u2c1		u2c1_addr.bit.lch	/* Data output Logic select bit */
#define		u2ere_u2c1		u2c1_addr.bit.ere	/* Error signal output enabled bit */

/*------------------------------------------------------
  UARTi receive buffer register
------------------------------------------------------*/
union{
	struct{
		unsigned char	b0:1;
		unsigned char	b1:1;
		unsigned char	b2:1;
		unsigned char	b3:1;
		unsigned char	b4:1;
		unsigned char	b5:1;
		unsigned char	b6:1;
		unsigned char	b7:1;
		unsigned char	mprb:1;					/* Receive data */
		unsigned char	b9:1;
		unsigned char	b10:1;
		unsigned char	b11:1;
		unsigned char	oer:1;					/* Overrun error flag */
		unsigned char	fer:1;					/* Framing error flag */
		unsigned char	per:1;					/* Parity error flag */
		unsigned char	sum:1;					/* Error sum flag */
	} bit;
	struct{
		unsigned char	low;					/* Low  8 bit */
		unsigned char	high;					/* High 8 bit */
	} byte;
	unsigned short	word;
} u0rb_addr, u1rb_addr, u2rb_addr;

/*------------------------------------------------------
  UARTi receive buffer register
------------------------------------------------------*/
#define		u0rb			u0rb_addr.word
#define		u0rbl			u0rb_addr.byte.low
#define		u0rbh			u0rb_addr.byte.high

#define		oer_u0rb		u0rb_addr.bit.oer	/* Overrun error flag */
#define		fer_u0rb		u0rb_addr.bit.fer	/* Framing error flag */
#define		per_u0rb		u0rb_addr.bit.per	/* Parity error flag */
#define		sum_u0rb		u0rb_addr.bit.sum	/* Error sum flag */

#define		u1rb			u1rb_addr.word
#define		u1rbl			u1rb_addr.byte.low
#define		u1rbh			u1rb_addr.byte.high

#define		oer_u1rb		u1rb_addr.bit.oer	/* Overrun error flag */
#define		fer_u1rb		u1rb_addr.bit.fer	/* Framing error flag */
#define		per_u1rb		u1rb_addr.bit.per	/* Parity error flag */
#define		sum_u1rb		u1rb_addr.bit.sum	/* Error sum flag */

#define		u2rb			u2rb_addr.word
#define		u2rbl			u2rb_addr.byte.low
#define		u2rbh			u2rb_addr.byte.high

#define		mprb_u2rb		u2rb_addr.bit.mprb	/* Receive data */
#define		oer_u2rb		u2rb_addr.bit.oer	/* Overrun error flag */
#define		fer_u2rb		u2rb_addr.bit.fer	/* Framing error flag */
#define		per_u2rb		u2rb_addr.bit.per	/* Parity error flag */
#define		sum_u2rb		u2rb_addr.bit.sum	/* Error sum flag */

/********************************************************
*  declare SFR union                                    *
********************************************************/

union{
	struct{
		unsigned char	b0:1;
		unsigned char	b1:1;
		unsigned char	b2:1;
		unsigned char	b3:1;
		unsigned char	b4:1;
		unsigned char	b5:1;
		unsigned char	b6:1;
		unsigned char	b7:1;
		unsigned char	b8:1;
		unsigned char	b9:1;
		unsigned char	b10:1;
		unsigned char	b11:1;
		unsigned char	b12:1;
		unsigned char	b13:1;
		unsigned char	b14:1;
		unsigned char	b15:1;
		unsigned char	b16:1;
		unsigned char	b17:1;
		unsigned char	b18:1;
		unsigned char	b19:1;
	} bit;
	struct{
		unsigned char	low;					/* low  8 bit */
		unsigned char	mid;					/* mid  8 bit */
		unsigned char	high;					/* high 8 bit */
		unsigned char	nc;						/* non use */
	} byte;

	unsigned long	dword;
} rmad0_addr,rmad1_addr;

#define		rmad0		rmad0_addr.dword		/* Address Match Interrupt Register 0 */
#define		rmad0l		rmad0_addr.byte.low		/* Address Match Interrupt Register 0 Low */
#define		rmad0m		rmad0_addr.byte.mid		/* Address Match Interrupt Register 0 Middle */
#define		rmad0h		rmad0_addr.byte.high	/* Address Match Interrupt Register 0 High */
#define		rmad1		rmad1_addr.dword		/* Address Match Interrupt Register 1 */
#define		rmad1l		rmad1_addr.byte.low		/* Address Match Interrupt Register 1 Low */
#define		rmad1m		rmad1_addr.byte.mid		/* Address Match Interrupt Register 1 Middle */
#define		rmad1h		rmad1_addr.byte.high	/* Address Match Interrupt Register 1 High */


union{
	struct{
		unsigned char	b0:1;
		unsigned char	b1:1;
		unsigned char	b2:1;
		unsigned char	b3:1;
		unsigned char	b4:1;
		unsigned char	b5:1;
		unsigned char	b6:1;
		unsigned char	b7:1;
		unsigned char	b8:1;
		unsigned char	b9:1;
		unsigned char	b10:1;
		unsigned char	b11:1;
		unsigned char	b12:1;
		unsigned char	b13:1;
		unsigned char	b14:1;
		unsigned char	b15:1;
	} bit;
	struct{
		unsigned char	low;					/* low  8 bit */
		unsigned char	high;					/* high 8 bit */
	} byte;
	unsigned short	word;
} u0tb_addr, u1tb_addr, u2tb_addr, ad0_addr, ad1_addr, ad2_addr, ad3_addr, ad4_addr, ad5_addr, ad6_addr, ad7_addr,
  sstdr_addr, ssrdr_addr;

#define		u0tb		u0tb_addr.word			/* UART0 transmit buffer register */
#define		u0tbl		u0tb_addr.byte.low		/* UART0 transmit buffer register Low */
#define		u0tbh		u0tb_addr.byte.high		/* UART0 transmit buffer register High */
#define		u1tb		u1tb_addr.word			/* UART1 transmit buffer register */
#define		u1tbl		u1tb_addr.byte.low		/* UART1 transmit buffer register Low */
#define		u1tbh		u1tb_addr.byte.high		/* UART1 transmit buffer register High */
#define		u2tb		u2tb_addr.word			/* UART2 transmit buffer register */
#define		u2tbl		u2tb_addr.byte.low		/* UART2 transmit buffer register Low */
#define		u2tbh		u2tb_addr.byte.high		/* UART2 transmit buffer register High */
#define		mptb_u2tb	u2tb_addr.bit.b8		/* UART2 transmit data */
#define		ad0			ad0_addr.word			/* A/D Register 0 */
#define		ad0l		ad0_addr.byte.low		/* A/D Register 0 Low */
#define		ad0h		ad0_addr.byte.high		/* A/D Register 0 High */
#define		ad1			ad1_addr.word			/* A/D Register 1 */
#define		ad1l		ad1_addr.byte.low		/* A/D Register 1 Low */
#define		ad1h		ad1_addr.byte.high		/* A/D Register 1 High */
#define		ad2			ad2_addr.word			/* A/D Register 2 */
#define		ad2l		ad2_addr.byte.low		/* A/D Register 2 Low */
#define		ad2h		ad2_addr.byte.high		/* A/D Register 2 High */
#define		ad3			ad3_addr.word			/* A/D Register 3 */
#define		ad3l		ad3_addr.byte.low		/* A/D Register 3 Low */
#define		ad3h		ad3_addr.byte.high		/* A/D Register 3 High */
#define		ad4			ad4_addr.word			/* A/D Register 4 */
#define		ad4l		ad4_addr.byte.low		/* A/D Register 4 Low */
#define		ad4h		ad4_addr.byte.high		/* A/D Register 4 High */
#define		ad5			ad5_addr.word			/* A/D Register 5 */
#define		ad5l		ad5_addr.byte.low		/* A/D Register 5 Low */
#define		ad5h		ad5_addr.byte.high		/* A/D Register 5 High */
#define		ad6			ad6_addr.word			/* A/D Register 6 */
#define		ad6l		ad6_addr.byte.low		/* A/D Register 6 Low */
#define		ad6h		ad6_addr.byte.high		/* A/D Register 6 High */
#define		ad7			ad7_addr.word			/* A/D Register 7 */
#define		ad7l		ad7_addr.byte.low		/* A/D Register 7 Low */
#define		ad7h		ad7_addr.byte.high		/* A/D Register 7 High */
/*------------------------------------------------------
  SS transmit data register
------------------------------------------------------*/
#define		sstdr		sstdr_addr.word
#define		sstdrl		sstdr_addr.byte.low
#define		sstdrh		sstdr_addr.byte.high

/*------------------------------------------------------
  SS receive data register
------------------------------------------------------*/
#define		ssrdr		ssrdr_addr.word
#define		ssrdrl		ssrdr_addr.byte.low
#define		ssrdrh		ssrdr_addr.byte.high
